/* database.c generated by valac 0.40.8, the Vala compiler
 * generated from database.vala, do not modify */

/* Copyright 2017 Siddhartha Das (bablu.boy@gmail.com)
*
* This file is part of Bookworm and manages all the Database interactions
*
* Bookworm is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Bookworm is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Bookworm. If not, see http://www.gnu.org/licenses/.
*/


#include <glib.h>
#include <glib-object.h>
#include <sqlite3.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gobject/gvaluecollector.h>


#define BOOKWORM_APP_TYPE_DB (bookworm_app_db_get_type ())
#define BOOKWORM_APP_DB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOOKWORM_APP_TYPE_DB, BookwormAppDB))
#define BOOKWORM_APP_DB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), BOOKWORM_APP_TYPE_DB, BookwormAppDBClass))
#define BOOKWORM_APP_IS_DB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOOKWORM_APP_TYPE_DB))
#define BOOKWORM_APP_IS_DB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOOKWORM_APP_TYPE_DB))
#define BOOKWORM_APP_DB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), BOOKWORM_APP_TYPE_DB, BookwormAppDBClass))

typedef struct _BookwormAppDB BookwormAppDB;
typedef struct _BookwormAppDBClass BookwormAppDBClass;
typedef struct _BookwormAppDBPrivate BookwormAppDBPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _sqlite3_close0(var) ((var == NULL) ? NULL : (var = (sqlite3_close (var), NULL)))
#define _sqlite3_finalize0(var) ((var == NULL) ? NULL : (var = (sqlite3_finalize (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define BOOKWORM_APP_TYPE_BOOK (bookworm_app_book_get_type ())
#define BOOKWORM_APP_BOOK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOOKWORM_APP_TYPE_BOOK, BookwormAppBook))
#define BOOKWORM_APP_BOOK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), BOOKWORM_APP_TYPE_BOOK, BookwormAppBookClass))
#define BOOKWORM_APP_IS_BOOK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOOKWORM_APP_TYPE_BOOK))
#define BOOKWORM_APP_IS_BOOK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOOKWORM_APP_TYPE_BOOK))
#define BOOKWORM_APP_BOOK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), BOOKWORM_APP_TYPE_BOOK, BookwormAppBookClass))

typedef struct _BookwormAppBook BookwormAppBook;
typedef struct _BookwormAppBookClass BookwormAppBookClass;
#define _bookworm_app_book_unref0(var) ((var == NULL) ? NULL : (var = (bookworm_app_book_unref (var), NULL)))
typedef struct _BookwormAppParamSpecDB BookwormAppParamSpecDB;

struct _BookwormAppDB {
	GTypeInstance parent_instance;
	volatile int ref_count;
	BookwormAppDBPrivate * priv;
};

struct _BookwormAppDBClass {
	GTypeClass parent_class;
	void (*finalize) (BookwormAppDB *self);
};

struct _BookwormAppParamSpecDB {
	GParamSpec parent_instance;
};


static gpointer bookworm_app_db_parent_class = NULL;
static sqlite3* bookworm_app_db_bookwormDB;
static sqlite3* bookworm_app_db_bookwormDB = NULL;
static gchar* bookworm_app_db_errmsg;
static gchar* bookworm_app_db_errmsg = NULL;
static gchar* bookworm_app_db_queryString;
static gchar* bookworm_app_db_queryString = NULL;
static gint bookworm_app_db_executionStatus;
static gint bookworm_app_db_executionStatus = 0;
extern GString* bookworm_app_bookworm_pathsOfBooksInLibraryOnLoadStr;

gpointer bookworm_app_db_ref (gpointer instance);
void bookworm_app_db_unref (gpointer instance);
GParamSpec* bookworm_app_param_spec_db (const gchar* name,
                                        const gchar* nick,
                                        const gchar* blurb,
                                        GType object_type,
                                        GParamFlags flags);
void bookworm_app_value_set_db (GValue* value,
                                gpointer v_object);
void bookworm_app_value_take_db (GValue* value,
                                 gpointer v_object);
gpointer bookworm_app_value_get_db (const GValue* value);
GType bookworm_app_db_get_type (void) G_GNUC_CONST;
#define BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME "BOOK_LIBRARY_TABLE"
#define BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION "6"
#define BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME "BOOK_METADATA_TABLE"
#define BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION "1"
#define BOOKWORM_APP_DB_VERSION_TABLE_BASE_NAME "VERSION_TABLE"
#define BOOKWORM_APP_DB_VERSION_TABLE_VERSION "1"
gboolean bookworm_app_db_initializeBookWormDB (const gchar* bookworm_config_path);
gpointer bookworm_app_book_ref (gpointer instance);
void bookworm_app_book_unref (gpointer instance);
GParamSpec* bookworm_app_param_spec_book (const gchar* name,
                                          const gchar* nick,
                                          const gchar* blurb,
                                          GType object_type,
                                          GParamFlags flags);
void bookworm_app_value_set_book (GValue* value,
                                  gpointer v_object);
void bookworm_app_value_take_book (GValue* value,
                                   gpointer v_object);
gpointer bookworm_app_value_get_book (const GValue* value);
GType bookworm_app_book_get_type (void) G_GNUC_CONST;
GeeArrayList* bookworm_app_db_getBooksFromDB (void);
BookwormAppBook* bookworm_app_book_new (void);
BookwormAppBook* bookworm_app_book_construct (GType object_type);
void bookworm_app_book_setBookId (BookwormAppBook* self,
                                  gint aBookId);
void bookworm_app_book_setBookLocation (BookwormAppBook* self,
                                        const gchar* aBookLocation);
void bookworm_app_book_setBookTitle (BookwormAppBook* self,
                                     const gchar* aBookTitle);
void bookworm_app_book_setBookAuthor (BookwormAppBook* self,
                                      const gchar* aBookAuthor);
void bookworm_app_book_setBookCoverLocation (BookwormAppBook* self,
                                             const gchar* aBookCoverLocation);
void bookworm_app_book_setIsBookCoverImagePresent (BookwormAppBook* self,
                                                   gboolean isABookCoverImagePresent);
void bookworm_app_book_setBookPageNumber (BookwormAppBook* self,
                                          gint aBookPageNumber);
void bookworm_app_book_setBookPublishDate (BookwormAppBook* self,
                                           const gchar* aBookPublishDate);
void bookworm_app_book_setBookTags (BookwormAppBook* self,
                                    const gchar* aBookTags);
void bookworm_app_book_setAnnotationTags (BookwormAppBook* self,
                                          const gchar* anAnnotationTags);
void bookworm_app_book_setBookRating (BookwormAppBook* self,
                                      gint aBookRating);
void bookworm_app_book_setBookExtractionLocation (BookwormAppBook* self,
                                                  const gchar* aBookExtractionLocation);
void bookworm_app_book_setBookTotalPages (BookwormAppBook* self,
                                          gint aBookTotalPages);
void bookworm_app_book_setBookCreationDate (BookwormAppBook* self,
                                            const gchar* aBookCreationDate);
void bookworm_app_book_setBookLastModificationDate (BookwormAppBook* self,
                                                    const gchar* aBookLastModificationDate);
gchar* bookworm_app_book_getBookLocation (BookwormAppBook* self);
BookwormAppBook* bookworm_app_db_getBookMetaDataFromDB (BookwormAppBook* aBook);
gint bookworm_app_book_getBookId (BookwormAppBook* self);
BookwormAppBook* bookworm_app_utils_convertStringToTOC (BookwormAppBook* aBook,
                                                        const gchar* tocString);
void bookworm_app_book_setBookmark (BookwormAppBook* self,
                                    gint pageNumber,
                                    const gchar* action);
BookwormAppBook* bookworm_app_utils_convertStringToContentList (BookwormAppBook* aBook,
                                                                const gchar* contentListString);
void bookworm_app_book_setBookScrollPos (BookwormAppBook* self,
                                         gint aBookScrollPos);
void bookworm_app_book_setAnnotationList (BookwormAppBook* self,
                                          GeeTreeMap* aTreeMap);
GeeTreeMap* bookworm_app_utils_convertStringToTreeMap (const gchar* stringForTreeMap);
gint bookworm_app_db_addBookToDataBase (BookwormAppBook* aBook);
gchar* bookworm_app_book_getBookTitle (BookwormAppBook* self);
gchar* bookworm_app_book_getBookAuthor (BookwormAppBook* self);
gchar* bookworm_app_book_getBookCoverLocation (BookwormAppBook* self);
gboolean bookworm_app_book_getIsBookCoverImagePresent (BookwormAppBook* self);
gchar* bookworm_app_book_getBookExtractionLocation (BookwormAppBook* self);
gboolean bookworm_app_db_removeBookFromDB (BookwormAppBook* aBook);
gboolean bookworm_app_db_updateBookToDataBase (BookwormAppBook* aBook);
gint bookworm_app_book_getBookPageNumber (BookwormAppBook* self);
gchar* bookworm_app_book_getBookTags (BookwormAppBook* self);
gchar* bookworm_app_book_getAnnotationTags (BookwormAppBook* self);
gint bookworm_app_book_getBookRating (BookwormAppBook* self);
gint bookworm_app_book_getBookTotalPages (BookwormAppBook* self);
gchar* bookworm_app_book_getBookLastModificationDate (BookwormAppBook* self);
gchar* bookworm_app_utils_convertTOCToString (BookwormAppBook* aBook);
gchar* bookworm_app_book_getBookmark (BookwormAppBook* self);
gchar* bookworm_app_utils_convertContentListToString (BookwormAppBook* aBook);
gint bookworm_app_book_getBookScrollPos (BookwormAppBook* self);
gchar* bookworm_app_utils_convertTreeMapToString (GeeTreeMap* aMap);
GeeTreeMap* bookworm_app_book_getAnnotationList (BookwormAppBook* self);
GeeArrayList* bookworm_app_db_getBookIDListFromDB (void);
BookwormAppDB* bookworm_app_db_new (void);
BookwormAppDB* bookworm_app_db_construct (GType object_type);
static void bookworm_app_db_finalize (BookwormAppDB * obj);


static gint
_sqlite3_exec (sqlite3* self,
               const gchar* sql,
               sqlite3_callback callback,
               gpointer callback_target,
               gchar* * errmsg)
{
	gchar* _vala_errmsg = NULL;
	gint result = 0;
	const gchar* sqlite_errmsg = NULL;
	gint ec = 0;
	const gchar* _tmp0_ = NULL;
	gint _tmp1_;
	const gchar* _tmp4_;
#line 34 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 34 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	g_return_val_if_fail (sql != NULL, 0);
#line 36 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	_tmp1_ = sqlite3_exec (self, sql, callback, callback_target, (char**) (&_tmp0_));
#line 36 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	sqlite_errmsg = _tmp0_;
#line 36 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	ec = _tmp1_;
#line 37 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	if ((&_vala_errmsg) != NULL) {
#line 220 "database.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
#line 38 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		_tmp2_ = sqlite_errmsg;
#line 38 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		_tmp3_ = g_strdup (_tmp2_);
#line 38 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 38 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		_vala_errmsg = _tmp3_;
#line 231 "database.c"
	}
#line 40 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	_tmp4_ = sqlite_errmsg;
#line 40 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	sqlite3_free ((void*) _tmp4_);
#line 41 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	result = ec;
#line 41 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	if (errmsg) {
#line 41 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		*errmsg = _vala_errmsg;
#line 243 "database.c"
	} else {
#line 41 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 247 "database.c"
	}
#line 41 "/usr/share/vala-0.40/vapi/sqlite3.vapi"
	return result;
#line 251 "database.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 276 "database.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return self ? g_object_ref (self) : NULL;
#line 285 "database.c"
}


gboolean
bookworm_app_db_initializeBookWormDB (const gchar* bookworm_config_path)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
	gchar* _tmp1_;
	sqlite3_stmt* stmt = NULL;
	gint dbOpenStatus = 0;
	gchar* _tmp2_;
	gchar* _tmp3_;
	sqlite3* _tmp4_ = NULL;
	gint _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	gchar* _tmp17_;
	sqlite3* _tmp18_;
	const gchar* _tmp19_;
	gchar* _tmp20_ = NULL;
	gint _tmp21_;
	gint _tmp22_;
	gchar* _tmp27_;
	sqlite3* _tmp28_;
	const gchar* _tmp29_;
	gchar* _tmp30_ = NULL;
	gint _tmp31_;
	gint _tmp32_;
	GeeArrayList* listOfTables = NULL;
	GeeArrayList* _tmp37_;
	gchar* _tmp38_;
	sqlite3* _tmp39_;
	const gchar* _tmp40_;
	const gchar* _tmp41_;
	gint _tmp42_;
	gint _tmp43_;
	sqlite3_stmt* _tmp44_ = NULL;
	gint _tmp45_;
	gint _tmp46_;
	sqlite3_stmt* _tmp59_;
	GeeArrayList* _tmp60_;
	GeeArrayList* _tmp61_;
#line 34 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (bookworm_config_path != NULL, FALSE);
#line 35 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = g_strconcat ("[START] [FUNCTION:initializeBookWormDB] bookworm_config_path=", bookworm_config_path, NULL);
#line 35 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = _tmp0_;
#line 35 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:35: %s", _tmp1_);
#line 35 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp1_);
#line 37 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_debug ("database.vala:37: Checking BookWorm DB or creating it if the DB does n" \
"ot exist...");
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = g_strconcat (bookworm_config_path, "/bookworm.db", NULL);
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = _tmp2_;
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = sqlite3_open_v2 (_tmp3_, &_tmp4_, SQLITE_OPEN_READWRITE | SQLITE_OPEN_CREATE, NULL);
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_close0 (bookworm_app_db_bookwormDB);
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_bookwormDB = _tmp4_;
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = _tmp5_;
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp3_);
#line 38 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	dbOpenStatus = _tmp6_;
#line 40 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp7_ = dbOpenStatus;
#line 40 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp7_ != SQLITE_OK) {
#line 361 "database.c"
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		sqlite3* _tmp14_;
		sqlite3* _tmp15_;
		const gchar* _tmp16_;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp8_ = g_strconcat ("Error in opening database[", bookworm_config_path, NULL);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp9_ = _tmp8_;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp10_ = g_strconcat (_tmp9_, "/bookworm.db", NULL);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp11_ = _tmp10_;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp12_ = g_strconcat (_tmp11_, "]: %d: %s\n", NULL);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = _tmp12_;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = bookworm_app_db_bookwormDB;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = bookworm_app_db_bookwormDB;
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = sqlite3_errmsg (_tmp15_);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning (_tmp13_, sqlite3_errcode (_tmp14_), _tmp16_);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp13_);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp11_);
#line 41 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp9_);
#line 44 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 44 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 44 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 403 "database.c"
	} else {
#line 46 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:46: Successfully checked/created DB for Bookworm.....");
#line 407 "database.c"
	}
#line 49 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_debug ("database.vala:49: Creating latest version for Library table if it does" \
" not exists");
#line 50 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp17_ = g_strdup ("CREATE TABLE IF NOT EXISTS " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " (" "id INTEGER PRIMARY KEY AUTOINCREMENT, " "BOOK_LOCATION TEXT NOT NULL DEFAULT '', " "BOOK_TITLE TEXT NOT NULL DEFAULT '', " "BOOK_AUTHOR TEXT NOT NULL DEFAULT '', " "BOOK_COVER_IMAGE_LOCATION TEXT NOT NULL DEFAULT '', " "IS_BOOK_COVER_IMAGE_PRESENT TEXT NOT NULL DEFAULT '', " "BOOK_PUBLISH_DATE TEXT NOT NULL DEFAULT '', " "BOOK_TOTAL_NUMBER_OF_PAGES TEXT NOT NULL DEFAULT '', " "BOOK_LAST_READ_PAGE_NUMBER TEXT NOT NULL DEFAULT '', " "BOOK_TOTAL_PAGES TEXT NOT NULL DEFAULT '', " "TAGS TEXT NOT NULL DEFAULT '', " "ANNOTATION_TAGS TEXT NOT NULL DEFAULT '', " "RATINGS TEXT NOT NULL DEFAULT '', " "CONTENT_EXTRACTION_LOCATION TEXT NOT NULL DEFAULT '', " "creation_date INTEGER," "modification_date INTEGER)");
#line 50 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 50 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp17_;
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp18_ = bookworm_app_db_bookwormDB;
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp19_ = bookworm_app_db_queryString;
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp21_ = _sqlite3_exec (_tmp18_, _tmp19_, NULL, NULL, &_tmp20_);
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_errmsg);
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_errmsg = _tmp20_;
#line 67 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp21_;
#line 68 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp22_ = bookworm_app_db_executionStatus;
#line 68 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp22_ != SQLITE_OK) {
#line 433 "database.c"
		const gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		const gchar* _tmp26_;
#line 69 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp23_ = bookworm_app_db_queryString;
#line 69 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp24_ = g_strconcat ("Error on executing Query:", _tmp23_, NULL);
#line 69 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp25_ = _tmp24_;
#line 69 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:69: %s", _tmp25_);
#line 69 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp25_);
#line 70 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp26_ = bookworm_app_db_errmsg;
#line 70 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:70: Error details: %s\n", _tmp26_);
#line 71 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 71 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 71 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 458 "database.c"
	} else {
#line 73 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:73: %s", "Successfully checked/created table:" BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION);
#line 462 "database.c"
	}
#line 76 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_debug ("database.vala:76: Creating latest version for Book Metadata table if i" \
"t does not exists");
#line 77 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp27_ = g_strdup ("CREATE TABLE IF NOT EXISTS " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " (" "id INTEGER PRIMARY KEY, " "BOOK_TOC_DATA TEXT NOT NULL DEFAULT '', " "BOOKMARKS TEXT NOT NULL DEFAULT '', " "CONTENT_DATA_LIST TEXT NOT NULL DEFAULT '', " "BOOK_LAST_SCROLL_POSITION TEXT NOT NULL DEFAULT '', " "BOOK_ANNOTATIONS TEXT NOT NULL DEFAULT '', " "creation_date INTEGER," "modification_date INTEGER)");
#line 77 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 77 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp27_;
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp28_ = bookworm_app_db_bookwormDB;
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp29_ = bookworm_app_db_queryString;
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp31_ = _sqlite3_exec (_tmp28_, _tmp29_, NULL, NULL, &_tmp30_);
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_errmsg);
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_errmsg = _tmp30_;
#line 86 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp31_;
#line 87 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp32_ = bookworm_app_db_executionStatus;
#line 87 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp32_ != SQLITE_OK) {
#line 488 "database.c"
		const gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
		const gchar* _tmp36_;
#line 88 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp33_ = bookworm_app_db_queryString;
#line 88 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp34_ = g_strconcat ("Error on executing Query:", _tmp33_, NULL);
#line 88 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp35_ = _tmp34_;
#line 88 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:88: %s", _tmp35_);
#line 88 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp35_);
#line 89 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp36_ = bookworm_app_db_errmsg;
#line 89 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:89: Error details: %s\n", _tmp36_);
#line 90 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 90 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 90 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 513 "database.c"
	} else {
#line 92 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:92: %s", "Successfully checked/created table:" BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION);
#line 517 "database.c"
	}
#line 96 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp37_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 96 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	listOfTables = _tmp37_;
#line 97 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp38_ = g_strdup ("SELECT NAME FROM SQLITE_MASTER WHERE TYPE='table' ORDER BY NAME");
#line 97 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 97 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp38_;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp39_ = bookworm_app_db_bookwormDB;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp40_ = bookworm_app_db_queryString;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp41_ = bookworm_app_db_queryString;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp42_ = strlen (_tmp41_);
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp43_ = _tmp42_;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp45_ = sqlite3_prepare_v2 (_tmp39_, _tmp40_, _tmp43_, &_tmp44_, NULL);
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp44_;
#line 98 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp45_;
#line 99 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp46_ = bookworm_app_db_executionStatus;
#line 99 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp46_ != SQLITE_OK) {
#line 551 "database.c"
		const gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		sqlite3* _tmp50_;
		sqlite3* _tmp51_;
		const gchar* _tmp52_;
#line 100 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp47_ = bookworm_app_db_queryString;
#line 100 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp48_ = g_strconcat ("Error on executing Query:", _tmp47_, NULL);
#line 100 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp49_ = _tmp48_;
#line 100 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:100: %s", _tmp49_);
#line 100 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp49_);
#line 101 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp50_ = bookworm_app_db_bookwormDB;
#line 101 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp51_ = bookworm_app_db_bookwormDB;
#line 101 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp52_ = sqlite3_errmsg (_tmp51_);
#line 101 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:101: Error details: %d: %s\n", sqlite3_errcode (_tmp50_), _tmp52_);
#line 576 "database.c"
	}
#line 103 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	while (TRUE) {
#line 580 "database.c"
		sqlite3_stmt* _tmp53_;
		GeeArrayList* _tmp54_;
		sqlite3_stmt* _tmp55_;
		const gchar* _tmp56_;
		gchar* _tmp57_;
		gchar* _tmp58_;
#line 103 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp53_ = stmt;
#line 103 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (!(sqlite3_step (_tmp53_) == SQLITE_ROW)) {
#line 103 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			break;
#line 593 "database.c"
		}
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp54_ = listOfTables;
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp55_ = stmt;
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp56_ = sqlite3_column_text (_tmp55_, 0);
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp57_ = string_strip (_tmp56_);
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp58_ = _tmp57_;
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		gee_abstract_collection_add ((GeeAbstractCollection*) _tmp54_, _tmp58_);
#line 104 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp58_);
#line 609 "database.c"
	}
#line 106 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp59_ = stmt;
#line 106 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp59_);
#line 109 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp60_ = listOfTables;
#line 109 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp60_, BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION);
#line 110 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp61_ = listOfTables;
#line 110 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp61_, BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION);
#line 623 "database.c"
	{
		GeeArrayList* _old_table_name_list = NULL;
		GeeArrayList* _tmp62_;
		GeeArrayList* _tmp63_;
		gint _old_table_name_size = 0;
		GeeArrayList* _tmp64_;
		gint _tmp65_;
		gint _tmp66_;
		gint _old_table_name_index = 0;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp62_ = listOfTables;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp63_ = _g_object_ref0 (_tmp62_);
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_old_table_name_list = _tmp63_;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp64_ = _old_table_name_list;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp65_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp64_);
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp66_ = _tmp65_;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_old_table_name_size = _tmp66_;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_old_table_name_index = -1;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		while (TRUE) {
#line 651 "database.c"
			gint _tmp67_;
			gint _tmp68_;
			gint _tmp69_;
			gchar* old_table_name = NULL;
			GeeArrayList* _tmp70_;
			gint _tmp71_;
			gpointer _tmp72_;
			const gchar* _tmp73_;
			const gchar* _tmp132_;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp67_ = _old_table_name_index;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_old_table_name_index = _tmp67_ + 1;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp68_ = _old_table_name_index;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp69_ = _old_table_name_size;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			if (!(_tmp68_ < _tmp69_)) {
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				break;
#line 673 "database.c"
			}
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp70_ = _old_table_name_list;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp71_ = _old_table_name_index;
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp72_ = gee_abstract_list_get ((GeeAbstractList*) _tmp70_, _tmp71_);
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			old_table_name = (gchar*) _tmp72_;
#line 116 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp73_ = old_table_name;
#line 116 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			if (g_strcmp0 (_tmp73_, "BOOK_LIBRARY_TABLE5") == 0) {
#line 687 "database.c"
				gchar* _tmp74_;
				sqlite3* _tmp75_;
				const gchar* _tmp76_;
				gchar* _tmp77_ = NULL;
				gint _tmp78_;
				gint _tmp79_;
#line 118 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp74_ = g_strdup (" INSERT INTO " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " ( id, BOOK_LOCATION, BOOK_TITLE, BOOK_AUTHOR, BOOK_COVER_IMAGE_LOCATI" \
"ON, IS_BOOK_COVER_IMAGE_PRESENT,BOOK_PUBLISH_DATE, BOOK_TOTAL_NUMBER_O" \
"F_PAGES, BOOK_LAST_READ_PAGE_NUMBER, TAGS, RATINGS,CONTENT_EXTRACTION_" \
"LOCATION, creation_date, modification_date) SELECT id, BOOK_LOCATION, " \
"BOOK_TITLE, BOOK_AUTHOR, BOOK_COVER_IMAGE_LOCATION, IS_BOOK_COVER_IMAG" \
"E_PRESENT, BOOK_PUBLISH_DATE, BOOK_TOTAL_NUMBER_OF_PAGES, BOOK_LAST_RE" \
"AD_PAGE_NUMBER, TAGS, RATINGS, CONTENT_EXTRACTION_LOCATION, creation_d" \
"ate, modification_date FROM BOOK_LIBRARY_TABLE5");
#line 118 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_g_free0 (bookworm_app_db_queryString);
#line 118 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_queryString = _tmp74_;
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp75_ = bookworm_app_db_bookwormDB;
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp76_ = bookworm_app_db_queryString;
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp78_ = _sqlite3_exec (_tmp75_, _tmp76_, NULL, NULL, &_tmp77_);
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_g_free0 (bookworm_app_db_errmsg);
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_errmsg = _tmp77_;
#line 120 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_executionStatus = _tmp78_;
#line 121 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp79_ = bookworm_app_db_executionStatus;
#line 121 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				if (_tmp79_ != SQLITE_OK) {
#line 716 "database.c"
					const gchar* _tmp80_;
					gchar* _tmp81_;
					gchar* _tmp82_;
					sqlite3* _tmp83_;
					sqlite3* _tmp84_;
					const gchar* _tmp85_;
#line 122 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp80_ = bookworm_app_db_queryString;
#line 122 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp81_ = g_strconcat ("Executed Query:", _tmp80_, NULL);
#line 122 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp82_ = _tmp81_;
#line 122 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_debug ("database.vala:122: %s", _tmp82_);
#line 122 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp82_);
#line 123 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp83_ = bookworm_app_db_bookwormDB;
#line 123 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp84_ = bookworm_app_db_bookwormDB;
#line 123 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp85_ = sqlite3_errmsg (_tmp84_);
#line 123 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_warning ("database.vala:123: Error: %d: %s\n", sqlite3_errcode (_tmp83_), _tmp85_);
#line 741 "database.c"
				} else {
					sqlite3* _tmp86_;
					gchar* _tmp87_;
					gchar* _tmp88_;
					gchar* _tmp89_;
					gchar* _tmp90_;
					gchar* _tmp91_;
					gchar* _tmp92_;
					gchar* _tmp93_;
					gchar* _tmp94_;
					gchar* _tmp95_;
					gchar* _tmp96_;
					gchar* _tmp97_;
					sqlite3* _tmp98_;
					const gchar* _tmp99_;
					gchar* _tmp100_ = NULL;
					gint _tmp101_;
					gint _tmp102_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp86_ = bookworm_app_db_bookwormDB;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp87_ = g_strdup_printf ("%i", sqlite3_changes (_tmp86_));
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp88_ = _tmp87_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp89_ = g_strconcat ("Successfully migrated ", _tmp88_, NULL);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp90_ = _tmp89_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp91_ = g_strconcat (_tmp90_, " rows from BOOK_LIBRARY_TABLE5 into ", NULL);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp92_ = _tmp91_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp93_ = g_strconcat (_tmp92_, BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME, NULL);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp94_ = _tmp93_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp95_ = g_strconcat (_tmp94_, BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION, NULL);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp96_ = _tmp95_;
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_debug ("database.vala:125: %s", _tmp96_);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp96_);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp94_);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp92_);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp90_);
#line 125 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp88_);
#line 127 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp97_ = g_strdup (" INSERT INTO " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION "      ( id, BOOK_TOC_DATA, BOOKMARKS, CONTENT_DATA_LIST, BOOK_LAST_SCR" \
"OLL_POSITION, creation_date, modification_date) SELECT id, BOOK_TOC_DA" \
"TA, BOOKMARKS, CONTENT_DATA_LIST, BOOK_LAST_SCROLL_POSITION, creation_" \
"date, modification_date FROM BOOK_LIBRARY_TABLE5");
#line 127 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (bookworm_app_db_queryString);
#line 127 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					bookworm_app_db_queryString = _tmp97_;
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp98_ = bookworm_app_db_bookwormDB;
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp99_ = bookworm_app_db_queryString;
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp101_ = _sqlite3_exec (_tmp98_, _tmp99_, NULL, NULL, &_tmp100_);
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (bookworm_app_db_errmsg);
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					bookworm_app_db_errmsg = _tmp100_;
#line 129 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					bookworm_app_db_executionStatus = _tmp101_;
#line 130 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp102_ = bookworm_app_db_executionStatus;
#line 130 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					if (_tmp102_ != SQLITE_OK) {
#line 816 "database.c"
						const gchar* _tmp103_;
						gchar* _tmp104_;
						gchar* _tmp105_;
						sqlite3* _tmp106_;
						sqlite3* _tmp107_;
						const gchar* _tmp108_;
#line 131 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp103_ = bookworm_app_db_queryString;
#line 131 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp104_ = g_strconcat ("Executed Query:", _tmp103_, NULL);
#line 131 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp105_ = _tmp104_;
#line 131 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						g_debug ("database.vala:131: %s", _tmp105_);
#line 131 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp105_);
#line 132 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp106_ = bookworm_app_db_bookwormDB;
#line 132 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp107_ = bookworm_app_db_bookwormDB;
#line 132 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp108_ = sqlite3_errmsg (_tmp107_);
#line 132 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						g_warning ("database.vala:132: Error: %d: %s\n", sqlite3_errcode (_tmp106_), _tmp108_);
#line 841 "database.c"
					} else {
						sqlite3* _tmp109_;
						gchar* _tmp110_;
						gchar* _tmp111_;
						gchar* _tmp112_;
						gchar* _tmp113_;
						gchar* _tmp114_;
						gchar* _tmp115_;
						gchar* _tmp116_;
						gchar* _tmp117_;
						gchar* _tmp118_;
						gchar* _tmp119_;
						gchar* _tmp120_;
						sqlite3* _tmp121_;
						const gchar* _tmp122_;
						gchar* _tmp123_ = NULL;
						gint _tmp124_;
						gint _tmp125_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp109_ = bookworm_app_db_bookwormDB;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp110_ = g_strdup_printf ("%i", sqlite3_changes (_tmp109_));
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp111_ = _tmp110_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp112_ = g_strconcat ("Successfully migrated ", _tmp111_, NULL);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp113_ = _tmp112_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp114_ = g_strconcat (_tmp113_, " rows from BOOK_LIBRARY_TABLE5 into", NULL);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp115_ = _tmp114_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp116_ = g_strconcat (_tmp115_, BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME, NULL);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp117_ = _tmp116_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp118_ = g_strconcat (_tmp117_, BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION, NULL);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp119_ = _tmp118_;
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						g_debug ("database.vala:134: %s", _tmp119_);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp119_);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp117_);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp115_);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp113_);
#line 134 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (_tmp111_);
#line 137 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp120_ = g_strdup ("DROP TABLE IF EXISTS BOOK_LIBRARY_TABLE5");
#line 137 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (bookworm_app_db_queryString);
#line 137 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						bookworm_app_db_queryString = _tmp120_;
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp121_ = bookworm_app_db_bookwormDB;
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp122_ = bookworm_app_db_queryString;
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp124_ = _sqlite3_exec (_tmp121_, _tmp122_, NULL, NULL, &_tmp123_);
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_g_free0 (bookworm_app_db_errmsg);
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						bookworm_app_db_errmsg = _tmp123_;
#line 138 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						bookworm_app_db_executionStatus = _tmp124_;
#line 139 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						_tmp125_ = bookworm_app_db_executionStatus;
#line 139 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
						if (_tmp125_ != SQLITE_OK) {
#line 916 "database.c"
							const gchar* _tmp126_;
							gchar* _tmp127_;
							gchar* _tmp128_;
							sqlite3* _tmp129_;
							sqlite3* _tmp130_;
							const gchar* _tmp131_;
#line 140 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp126_ = bookworm_app_db_queryString;
#line 140 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp127_ = g_strconcat ("Executed Query:", _tmp126_, NULL);
#line 140 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp128_ = _tmp127_;
#line 140 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							g_debug ("database.vala:140: %s", _tmp128_);
#line 140 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_g_free0 (_tmp128_);
#line 141 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp129_ = bookworm_app_db_bookwormDB;
#line 141 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp130_ = bookworm_app_db_bookwormDB;
#line 141 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							_tmp131_ = sqlite3_errmsg (_tmp130_);
#line 141 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							g_warning ("database.vala:141: Error: %d: %s\n", sqlite3_errcode (_tmp129_), _tmp131_);
#line 941 "database.c"
						} else {
#line 143 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
							g_debug ("database.vala:143: Successfully dropped old table LIBRARY_TABLE5");
#line 945 "database.c"
						}
					}
				}
			}
#line 149 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp132_ = old_table_name;
#line 149 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			if (g_strcmp0 (_tmp132_, "VERSION_TABLE") == 0) {
#line 954 "database.c"
				gchar* _tmp133_;
				sqlite3* _tmp134_;
				const gchar* _tmp135_;
				gchar* _tmp136_ = NULL;
				gint _tmp137_;
				gint _tmp138_;
#line 151 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp133_ = g_strdup ("DROP TABLE IF EXISTS VERSION_TABLE");
#line 151 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_g_free0 (bookworm_app_db_queryString);
#line 151 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_queryString = _tmp133_;
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp134_ = bookworm_app_db_bookwormDB;
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp135_ = bookworm_app_db_queryString;
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp137_ = _sqlite3_exec (_tmp134_, _tmp135_, NULL, NULL, &_tmp136_);
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_g_free0 (bookworm_app_db_errmsg);
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_errmsg = _tmp136_;
#line 152 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				bookworm_app_db_executionStatus = _tmp137_;
#line 153 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp138_ = bookworm_app_db_executionStatus;
#line 153 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				if (_tmp138_ != SQLITE_OK) {
#line 983 "database.c"
					const gchar* _tmp139_;
					gchar* _tmp140_;
					gchar* _tmp141_;
					sqlite3* _tmp142_;
					sqlite3* _tmp143_;
					const gchar* _tmp144_;
#line 154 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp139_ = bookworm_app_db_queryString;
#line 154 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp140_ = g_strconcat ("Executed Query:", _tmp139_, NULL);
#line 154 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp141_ = _tmp140_;
#line 154 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_debug ("database.vala:154: %s", _tmp141_);
#line 154 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_g_free0 (_tmp141_);
#line 155 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp142_ = bookworm_app_db_bookwormDB;
#line 155 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp143_ = bookworm_app_db_bookwormDB;
#line 155 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					_tmp144_ = sqlite3_errmsg (_tmp143_);
#line 155 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_warning ("database.vala:155: Error: %d: %s\n", sqlite3_errcode (_tmp142_), _tmp144_);
#line 1008 "database.c"
				} else {
#line 157 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
					g_debug ("database.vala:157: Successfully dropped old table VERSION_TABLE");
#line 1012 "database.c"
				}
			}
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (old_table_name);
#line 1017 "database.c"
		}
#line 114 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_object_unref0 (_old_table_name_list);
#line 1021 "database.c"
	}
#line 162 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:162: [END] [FUNCTION:initializeBookWormDB]");
#line 163 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = TRUE;
#line 163 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_object_unref0 (listOfTables);
#line 163 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 163 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 1033 "database.c"
}


GeeArrayList*
bookworm_app_db_getBooksFromDB (void)
{
	GeeArrayList* result = NULL;
	GeeArrayList* listOfBooks = NULL;
	GeeArrayList* _tmp0_;
	sqlite3_stmt* stmt = NULL;
	gchar* _tmp1_;
	sqlite3* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	sqlite3_stmt* _tmp7_ = NULL;
	gint _tmp8_;
	gint _tmp9_;
	GeeArrayList* _tmp159_;
	gint _tmp160_;
	gint _tmp161_;
	gchar* _tmp162_;
	gchar* _tmp163_;
	gchar* _tmp164_;
	gchar* _tmp165_;
#line 167 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:167: [START] [FUNCTION:getBooksFromDB]");
#line 168 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = gee_array_list_new (BOOKWORM_APP_TYPE_BOOK, (GBoxedCopyFunc) bookworm_app_book_ref, (GDestroyNotify) bookworm_app_book_unref, NULL, NULL, NULL);
#line 168 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	listOfBooks = _tmp0_;
#line 170 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = g_strdup ("SELECT id, BOOK_LOCATION, BOOK_TITLE, BOOK_AUTHOR, BOOK_COVER_IMAGE_LO" \
"CATION, IS_BOOK_COVER_IMAGE_PRESENT, BOOK_LAST_READ_PAGE_NUMBER, BOOK_" \
"PUBLISH_DATE, TAGS, ANNOTATION_TAGS, RATINGS, CONTENT_EXTRACTION_LOCAT" \
"ION, BOOK_TOTAL_PAGES, creation_date, modification_date FROM " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " ORDER BY modification_date DESC");
#line 170 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 170 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp1_;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = bookworm_app_db_bookwormDB;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = bookworm_app_db_queryString;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = bookworm_app_db_queryString;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = strlen (_tmp4_);
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = _tmp5_;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = sqlite3_prepare_v2 (_tmp2_, _tmp3_, _tmp6_, &_tmp7_, NULL);
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp7_;
#line 172 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp8_;
#line 173 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = bookworm_app_db_executionStatus;
#line 173 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp9_ != SQLITE_OK) {
#line 1094 "database.c"
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		sqlite3* _tmp13_;
		sqlite3* _tmp14_;
		const gchar* _tmp15_;
#line 174 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp10_ = bookworm_app_db_queryString;
#line 174 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp11_ = g_strconcat ("Error on executing Query:", _tmp10_, NULL);
#line 174 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp12_ = _tmp11_;
#line 174 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:174: %s", _tmp12_);
#line 174 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp12_);
#line 175 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_bookwormDB;
#line 175 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = bookworm_app_db_bookwormDB;
#line 175 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = sqlite3_errmsg (_tmp14_);
#line 175 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:175: Error details: %d: %s\n", sqlite3_errcode (_tmp13_), _tmp15_);
#line 1119 "database.c"
	} else {
		sqlite3_stmt* _tmp158_;
#line 177 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		while (TRUE) {
#line 1124 "database.c"
			sqlite3_stmt* _tmp16_;
			BookwormAppBook* aBook = NULL;
			BookwormAppBook* _tmp17_;
			BookwormAppBook* _tmp18_;
			sqlite3_stmt* _tmp19_;
			BookwormAppBook* _tmp20_;
			sqlite3_stmt* _tmp21_;
			const gchar* _tmp22_;
			BookwormAppBook* _tmp23_;
			sqlite3_stmt* _tmp24_;
			const gchar* _tmp25_;
			BookwormAppBook* _tmp26_;
			sqlite3_stmt* _tmp27_;
			const gchar* _tmp28_;
			BookwormAppBook* _tmp29_;
			sqlite3_stmt* _tmp30_;
			const gchar* _tmp31_;
			gboolean _tmp32_ = FALSE;
			sqlite3_stmt* _tmp33_;
			const gchar* _tmp34_;
			BookwormAppBook* _tmp35_;
			BookwormAppBook* _tmp36_;
			sqlite3_stmt* _tmp37_;
			const gchar* _tmp38_;
			BookwormAppBook* _tmp39_;
			sqlite3_stmt* _tmp40_;
			const gchar* _tmp41_;
			BookwormAppBook* _tmp42_;
			sqlite3_stmt* _tmp43_;
			const gchar* _tmp44_;
			BookwormAppBook* _tmp45_;
			sqlite3_stmt* _tmp46_;
			const gchar* _tmp47_;
			BookwormAppBook* _tmp48_;
			sqlite3_stmt* _tmp49_;
			const gchar* _tmp50_;
			BookwormAppBook* _tmp51_;
			sqlite3_stmt* _tmp52_;
			const gchar* _tmp53_;
			BookwormAppBook* _tmp54_;
			sqlite3_stmt* _tmp55_;
			const gchar* _tmp56_;
			BookwormAppBook* _tmp57_;
			sqlite3_stmt* _tmp58_;
			const gchar* _tmp59_;
			BookwormAppBook* _tmp60_;
			sqlite3_stmt* _tmp61_;
			const gchar* _tmp62_;
			sqlite3_stmt* _tmp63_;
			gchar* _tmp64_;
			gchar* _tmp65_;
			gchar* _tmp66_;
			gchar* _tmp67_;
			gchar* _tmp68_;
			gchar* _tmp69_;
			sqlite3_stmt* _tmp70_;
			const gchar* _tmp71_;
			gchar* _tmp72_;
			gchar* _tmp73_;
			gchar* _tmp74_;
			gchar* _tmp75_;
			sqlite3_stmt* _tmp76_;
			const gchar* _tmp77_;
			gchar* _tmp78_;
			gchar* _tmp79_;
			gchar* _tmp80_;
			gchar* _tmp81_;
			sqlite3_stmt* _tmp82_;
			const gchar* _tmp83_;
			gchar* _tmp84_;
			gchar* _tmp85_;
			gchar* _tmp86_;
			gchar* _tmp87_;
			sqlite3_stmt* _tmp88_;
			const gchar* _tmp89_;
			gchar* _tmp90_;
			gchar* _tmp91_;
			gchar* _tmp92_;
			gchar* _tmp93_;
			sqlite3_stmt* _tmp94_;
			const gchar* _tmp95_;
			gchar* _tmp96_;
			gchar* _tmp97_;
			gchar* _tmp98_;
			gchar* _tmp99_;
			sqlite3_stmt* _tmp100_;
			const gchar* _tmp101_;
			gchar* _tmp102_;
			gchar* _tmp103_;
			gchar* _tmp104_;
			gchar* _tmp105_;
			sqlite3_stmt* _tmp106_;
			const gchar* _tmp107_;
			gchar* _tmp108_;
			gchar* _tmp109_;
			gchar* _tmp110_;
			gchar* _tmp111_;
			sqlite3_stmt* _tmp112_;
			const gchar* _tmp113_;
			gchar* _tmp114_;
			gchar* _tmp115_;
			gchar* _tmp116_;
			gchar* _tmp117_;
			sqlite3_stmt* _tmp118_;
			const gchar* _tmp119_;
			gchar* _tmp120_;
			gchar* _tmp121_;
			gchar* _tmp122_;
			gchar* _tmp123_;
			sqlite3_stmt* _tmp124_;
			const gchar* _tmp125_;
			gchar* _tmp126_;
			gchar* _tmp127_;
			gchar* _tmp128_;
			gchar* _tmp129_;
			sqlite3_stmt* _tmp130_;
			const gchar* _tmp131_;
			gchar* _tmp132_;
			gchar* _tmp133_;
			gchar* _tmp134_;
			gchar* _tmp135_;
			sqlite3_stmt* _tmp136_;
			const gchar* _tmp137_;
			gchar* _tmp138_;
			gchar* _tmp139_;
			gchar* _tmp140_;
			gchar* _tmp141_;
			sqlite3_stmt* _tmp142_;
			const gchar* _tmp143_;
			gchar* _tmp144_;
			gchar* _tmp145_;
			gchar* _tmp146_;
			gchar* _tmp147_;
			sqlite3_stmt* _tmp148_;
			const gchar* _tmp149_;
			gchar* _tmp150_;
			gchar* _tmp151_;
			GeeArrayList* _tmp152_;
			BookwormAppBook* _tmp153_;
			GString* _tmp154_;
			BookwormAppBook* _tmp155_;
			gchar* _tmp156_;
			gchar* _tmp157_;
#line 177 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp16_ = stmt;
#line 177 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			if (!(sqlite3_step (_tmp16_) == SQLITE_ROW)) {
#line 177 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				break;
#line 1274 "database.c"
			}
#line 178 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp17_ = bookworm_app_book_new ();
#line 178 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			aBook = _tmp17_;
#line 179 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp18_ = aBook;
#line 179 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp19_ = stmt;
#line 179 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookId (_tmp18_, sqlite3_column_int (_tmp19_, 0));
#line 180 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp20_ = aBook;
#line 180 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp21_ = stmt;
#line 180 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp22_ = sqlite3_column_text (_tmp21_, 1);
#line 180 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookLocation (_tmp20_, _tmp22_);
#line 181 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp23_ = aBook;
#line 181 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp24_ = stmt;
#line 181 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp25_ = sqlite3_column_text (_tmp24_, 2);
#line 181 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookTitle (_tmp23_, _tmp25_);
#line 182 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp26_ = aBook;
#line 182 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp27_ = stmt;
#line 182 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp28_ = sqlite3_column_text (_tmp27_, 3);
#line 182 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookAuthor (_tmp26_, _tmp28_);
#line 183 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp29_ = aBook;
#line 183 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp30_ = stmt;
#line 183 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp31_ = sqlite3_column_text (_tmp30_, 4);
#line 183 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookCoverLocation (_tmp29_, _tmp31_);
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp33_ = stmt;
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp34_ = sqlite3_column_text (_tmp33_, 5);
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			if (g_strcmp0 (_tmp34_, "true") == 0) {
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp32_ = TRUE;
#line 1326 "database.c"
			} else {
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
				_tmp32_ = FALSE;
#line 1330 "database.c"
			}
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp35_ = aBook;
#line 184 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setIsBookCoverImagePresent (_tmp35_, _tmp32_);
#line 185 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp36_ = aBook;
#line 185 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp37_ = stmt;
#line 185 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp38_ = sqlite3_column_text (_tmp37_, 6);
#line 185 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookPageNumber (_tmp36_, atoi (_tmp38_));
#line 186 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp39_ = aBook;
#line 186 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp40_ = stmt;
#line 186 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp41_ = sqlite3_column_text (_tmp40_, 7);
#line 186 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookPublishDate (_tmp39_, _tmp41_);
#line 187 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp42_ = aBook;
#line 187 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp43_ = stmt;
#line 187 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp44_ = sqlite3_column_text (_tmp43_, 8);
#line 187 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookTags (_tmp42_, _tmp44_);
#line 188 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp45_ = aBook;
#line 188 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp46_ = stmt;
#line 188 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp47_ = sqlite3_column_text (_tmp46_, 9);
#line 188 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setAnnotationTags (_tmp45_, _tmp47_);
#line 189 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp48_ = aBook;
#line 189 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp49_ = stmt;
#line 189 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp50_ = sqlite3_column_text (_tmp49_, 10);
#line 189 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookRating (_tmp48_, atoi (_tmp50_));
#line 190 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp51_ = aBook;
#line 190 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp52_ = stmt;
#line 190 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp53_ = sqlite3_column_text (_tmp52_, 11);
#line 190 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookExtractionLocation (_tmp51_, _tmp53_);
#line 191 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp54_ = aBook;
#line 191 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp55_ = stmt;
#line 191 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp56_ = sqlite3_column_text (_tmp55_, 12);
#line 191 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookTotalPages (_tmp54_, atoi (_tmp56_));
#line 192 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp57_ = aBook;
#line 192 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp58_ = stmt;
#line 192 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp59_ = sqlite3_column_text (_tmp58_, 13);
#line 192 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookCreationDate (_tmp57_, _tmp59_);
#line 193 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp60_ = aBook;
#line 193 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp61_ = stmt;
#line 193 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp62_ = sqlite3_column_text (_tmp61_, 14);
#line 193 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			bookworm_app_book_setBookLastModificationDate (_tmp60_, _tmp62_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp63_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp64_ = g_strdup_printf ("%i", sqlite3_column_int (_tmp63_, 0));
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp65_ = _tmp64_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp66_ = g_strconcat ("Book details fetched from DB: id=", _tmp65_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp67_ = _tmp66_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp68_ = g_strconcat (_tmp67_, ",BOOK_LOCATION=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp69_ = _tmp68_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp70_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp71_ = sqlite3_column_text (_tmp70_, 1);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp72_ = g_strconcat (_tmp69_, _tmp71_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp73_ = _tmp72_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp74_ = g_strconcat (_tmp73_, ",BOOK_TITLE=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp75_ = _tmp74_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp76_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp77_ = sqlite3_column_text (_tmp76_, 2);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp78_ = g_strconcat (_tmp75_, _tmp77_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp79_ = _tmp78_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp80_ = g_strconcat (_tmp79_, ",BOOK_AUTHOR=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp81_ = _tmp80_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp82_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp83_ = sqlite3_column_text (_tmp82_, 3);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp84_ = g_strconcat (_tmp81_, _tmp83_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp85_ = _tmp84_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp86_ = g_strconcat (_tmp85_, ",BOOK_COVER_IMAGE_LOCATION=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp87_ = _tmp86_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp88_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp89_ = sqlite3_column_text (_tmp88_, 4);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp90_ = g_strconcat (_tmp87_, _tmp89_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp91_ = _tmp90_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp92_ = g_strconcat (_tmp91_, ",IS_BOOK_COVER_IMAGE_PRESENT=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp93_ = _tmp92_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp94_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp95_ = sqlite3_column_text (_tmp94_, 5);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp96_ = g_strconcat (_tmp93_, _tmp95_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp97_ = _tmp96_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp98_ = g_strconcat (_tmp97_, ",BOOK_LAST_READ_PAGE_NUMBER=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp99_ = _tmp98_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp100_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp101_ = sqlite3_column_text (_tmp100_, 6);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp102_ = g_strconcat (_tmp99_, _tmp101_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp103_ = _tmp102_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp104_ = g_strconcat (_tmp103_, ",BOOK_PUBLISH_DATE=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp105_ = _tmp104_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp106_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp107_ = sqlite3_column_text (_tmp106_, 7);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp108_ = g_strconcat (_tmp105_, _tmp107_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp109_ = _tmp108_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp110_ = g_strconcat (_tmp109_, ",TAGS=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp111_ = _tmp110_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp112_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp113_ = sqlite3_column_text (_tmp112_, 8);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp114_ = g_strconcat (_tmp111_, _tmp113_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp115_ = _tmp114_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp116_ = g_strconcat (_tmp115_, ",ANNOTATION_TAGS=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp117_ = _tmp116_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp118_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp119_ = sqlite3_column_text (_tmp118_, 9);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp120_ = g_strconcat (_tmp117_, _tmp119_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp121_ = _tmp120_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp122_ = g_strconcat (_tmp121_, ",RATINGS=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp123_ = _tmp122_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp124_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp125_ = sqlite3_column_text (_tmp124_, 10);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp126_ = g_strconcat (_tmp123_, _tmp125_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp127_ = _tmp126_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp128_ = g_strconcat (_tmp127_, ",CONTENT_EXTRACTION_LOCATION=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp129_ = _tmp128_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp130_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp131_ = sqlite3_column_text (_tmp130_, 11);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp132_ = g_strconcat (_tmp129_, _tmp131_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp133_ = _tmp132_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp134_ = g_strconcat (_tmp133_, ",BOOK_TOTAL_PAGES=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp135_ = _tmp134_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp136_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp137_ = sqlite3_column_text (_tmp136_, 12);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp138_ = g_strconcat (_tmp135_, _tmp137_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp139_ = _tmp138_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp140_ = g_strconcat (_tmp139_, ",creation_date=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp141_ = _tmp140_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp142_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp143_ = sqlite3_column_text (_tmp142_, 13);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp144_ = g_strconcat (_tmp141_, _tmp143_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp145_ = _tmp144_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp146_ = g_strconcat (_tmp145_, ",modification_date=", NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp147_ = _tmp146_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp148_ = stmt;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp149_ = sqlite3_column_text (_tmp148_, 14);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp150_ = g_strconcat (_tmp147_, _tmp149_, NULL);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp151_ = _tmp150_;
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_debug ("database.vala:194: %s", _tmp151_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp151_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp147_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp145_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp141_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp139_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp135_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp133_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp129_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp127_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp123_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp121_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp117_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp115_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp111_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp109_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp105_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp103_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp99_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp97_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp93_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp91_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp87_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp85_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp81_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp79_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp75_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp73_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp69_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp67_);
#line 194 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp65_);
#line 211 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp152_ = listOfBooks;
#line 211 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp153_ = aBook;
#line 211 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp152_, _tmp153_);
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp154_ = bookworm_app_bookworm_pathsOfBooksInLibraryOnLoadStr;
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp155_ = aBook;
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp156_ = bookworm_app_book_getBookLocation (_tmp155_);
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp157_ = _tmp156_;
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_string_append (_tmp154_, _tmp157_);
#line 213 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp157_);
#line 177 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_bookworm_app_book_unref0 (aBook);
#line 1668 "database.c"
		}
#line 215 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp158_ = stmt;
#line 215 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_reset (_tmp158_);
#line 1674 "database.c"
	}
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp159_ = listOfBooks;
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp160_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp159_);
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp161_ = _tmp160_;
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp162_ = g_strdup_printf ("%i", _tmp161_);
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp163_ = _tmp162_;
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp164_ = g_strconcat ("[END] [FUNCTION:getBooksFromDB] listOfBooks.size=", _tmp163_, NULL);
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp165_ = _tmp164_;
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:217: %s", _tmp165_);
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp165_);
#line 217 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp163_);
#line 218 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = listOfBooks;
#line 218 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 218 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 1702 "database.c"
}


static gpointer
_bookworm_app_book_ref0 (gpointer self)
{
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return self ? bookworm_app_book_ref (self) : NULL;
#line 1711 "database.c"
}


BookwormAppBook*
bookworm_app_db_getBookMetaDataFromDB (BookwormAppBook* aBook)
{
	BookwormAppBook* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	sqlite3_stmt* stmt = NULL;
	gchar* _tmp4_;
	sqlite3* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	sqlite3_stmt* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
	sqlite3_stmt* _tmp19_;
	sqlite3_stmt* _tmp71_;
	gchar* _tmp72_;
	gchar* _tmp73_;
	gchar* _tmp74_;
	gchar* _tmp75_;
	BookwormAppBook* _tmp76_;
#line 221 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (aBook != NULL, NULL);
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = bookworm_app_book_getBookLocation (aBook);
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = _tmp0_;
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = g_strconcat ("[START] [FUNCTION:getBookMetaDataFromDB] book.location=", _tmp1_, NULL);
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = _tmp2_;
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:222: %s", _tmp3_);
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp3_);
#line 222 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp1_);
#line 224 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = g_strdup ("SELECT BOOK_TOC_DATA, BOOKMARKS, CONTENT_DATA_LIST, BOOK_LAST_SCROLL_P" \
"OSITION, BOOK_ANNOTATIONS FROM " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " WHERE id = ?");
#line 224 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 224 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp4_;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = bookworm_app_db_bookwormDB;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = bookworm_app_db_queryString;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp7_ = bookworm_app_db_queryString;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = strlen (_tmp7_);
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = _tmp8_;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp11_ = sqlite3_prepare_v2 (_tmp5_, _tmp6_, _tmp9_, &_tmp10_, NULL);
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp10_;
#line 225 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp11_;
#line 226 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp12_ = bookworm_app_db_executionStatus;
#line 226 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp12_ != SQLITE_OK) {
#line 1784 "database.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		sqlite3* _tmp16_;
		sqlite3* _tmp17_;
		const gchar* _tmp18_;
#line 227 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_queryString;
#line 227 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = g_strconcat ("Error on executing Query:", _tmp13_, NULL);
#line 227 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = _tmp14_;
#line 227 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:227: %s", _tmp15_);
#line 227 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp15_);
#line 228 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = bookworm_app_db_bookwormDB;
#line 228 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp17_ = bookworm_app_db_bookwormDB;
#line 228 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp18_ = sqlite3_errmsg (_tmp17_);
#line 228 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:228: Error details: %d: %s\n", sqlite3_errcode (_tmp16_), _tmp18_);
#line 1809 "database.c"
	}
#line 230 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp19_ = stmt;
#line 230 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_int (_tmp19_, 1, bookworm_app_book_getBookId (aBook));
#line 231 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	while (TRUE) {
#line 1817 "database.c"
		sqlite3_stmt* _tmp20_;
		BookwormAppBook* _tmp21_;
		sqlite3_stmt* _tmp22_;
		const gchar* _tmp23_;
		BookwormAppBook* _tmp24_;
		sqlite3_stmt* _tmp25_;
		const gchar* _tmp26_;
		BookwormAppBook* _tmp27_;
		sqlite3_stmt* _tmp28_;
		const gchar* _tmp29_;
		BookwormAppBook* _tmp30_;
		sqlite3_stmt* _tmp31_;
		const gchar* _tmp32_;
		sqlite3_stmt* _tmp33_;
		const gchar* _tmp34_;
		GeeTreeMap* _tmp35_;
		GeeTreeMap* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		sqlite3_stmt* _tmp43_;
		const gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		sqlite3_stmt* _tmp49_;
		const gchar* _tmp50_;
		gchar* _tmp51_;
		gchar* _tmp52_;
		gchar* _tmp53_;
		gchar* _tmp54_;
		sqlite3_stmt* _tmp55_;
		const gchar* _tmp56_;
		gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		gchar* _tmp60_;
		sqlite3_stmt* _tmp61_;
		const gchar* _tmp62_;
		gchar* _tmp63_;
		gchar* _tmp64_;
		gchar* _tmp65_;
		gchar* _tmp66_;
		sqlite3_stmt* _tmp67_;
		const gchar* _tmp68_;
		gchar* _tmp69_;
		gchar* _tmp70_;
#line 231 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp20_ = stmt;
#line 231 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (!(sqlite3_step (_tmp20_) == SQLITE_ROW)) {
#line 231 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			break;
#line 1875 "database.c"
		}
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp21_ = _bookworm_app_book_ref0 (aBook);
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp22_ = stmt;
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp23_ = sqlite3_column_text (_tmp22_, 0);
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp24_ = bookworm_app_utils_convertStringToTOC (_tmp21_, _tmp23_);
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_bookworm_app_book_unref0 (aBook);
#line 232 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		aBook = _tmp24_;
#line 233 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp25_ = stmt;
#line 233 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp26_ = sqlite3_column_text (_tmp25_, 1);
#line 233 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_book_setBookmark (aBook, -10, _tmp26_);
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp27_ = _bookworm_app_book_ref0 (aBook);
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp28_ = stmt;
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp29_ = sqlite3_column_text (_tmp28_, 2);
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp30_ = bookworm_app_utils_convertStringToContentList (_tmp27_, _tmp29_);
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_bookworm_app_book_unref0 (aBook);
#line 234 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		aBook = _tmp30_;
#line 235 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp31_ = stmt;
#line 235 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp32_ = sqlite3_column_text (_tmp31_, 3);
#line 235 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_book_setBookScrollPos (aBook, atoi (_tmp32_));
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp33_ = stmt;
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp34_ = sqlite3_column_text (_tmp33_, 4);
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp35_ = bookworm_app_utils_convertStringToTreeMap (_tmp34_);
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp36_ = _tmp35_;
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_book_setAnnotationList (aBook, _tmp36_);
#line 236 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_object_unref0 (_tmp36_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp37_ = g_strdup_printf ("%i", bookworm_app_book_getBookId (aBook));
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp38_ = _tmp37_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp39_ = g_strconcat ("Book MetaData details fetched from DB: id=", _tmp38_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp40_ = _tmp39_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp41_ = g_strconcat (_tmp40_, ",BOOK_TOC_DATA=", NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp42_ = _tmp41_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp43_ = stmt;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp44_ = sqlite3_column_text (_tmp43_, 0);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp45_ = g_strconcat (_tmp42_, _tmp44_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp46_ = _tmp45_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp47_ = g_strconcat (_tmp46_, ",BOOKMARKS=", NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp48_ = _tmp47_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp49_ = stmt;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp50_ = sqlite3_column_text (_tmp49_, 1);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp51_ = g_strconcat (_tmp48_, _tmp50_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp52_ = _tmp51_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp53_ = g_strconcat (_tmp52_, ",CONTENT_DATA_LIST=", NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp54_ = _tmp53_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp55_ = stmt;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp56_ = sqlite3_column_text (_tmp55_, 2);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp57_ = g_strconcat (_tmp54_, _tmp56_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp58_ = _tmp57_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp59_ = g_strconcat (_tmp58_, ",BOOK_LAST_SCROLL_POSITION=", NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp60_ = _tmp59_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp61_ = stmt;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp62_ = sqlite3_column_text (_tmp61_, 3);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp63_ = g_strconcat (_tmp60_, _tmp62_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp64_ = _tmp63_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp65_ = g_strconcat (_tmp64_, ",BOOK_ANNOTATIONS=", NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp66_ = _tmp65_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp67_ = stmt;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp68_ = sqlite3_column_text (_tmp67_, 4);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp69_ = g_strconcat (_tmp66_, _tmp68_, NULL);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp70_ = _tmp69_;
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:237: %s", _tmp70_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp70_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp66_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp64_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp60_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp58_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp54_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp52_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp48_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp46_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp42_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp40_);
#line 237 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp38_);
#line 2019 "database.c"
	}
#line 245 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp71_ = stmt;
#line 245 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp71_);
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp72_ = bookworm_app_book_getBookLocation (aBook);
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp73_ = _tmp72_;
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp74_ = g_strconcat ("[END] [FUNCTION:getBookMetaDataFromDB] book.location=", _tmp73_, NULL);
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp75_ = _tmp74_;
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:246: %s", _tmp75_);
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp75_);
#line 246 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp73_);
#line 247 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp76_ = _bookworm_app_book_ref0 (aBook);
#line 247 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = _tmp76_;
#line 247 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 247 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_bookworm_app_book_unref0 (aBook);
#line 247 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 2049 "database.c"
}


static gchar*
bool_to_string (gboolean self)
{
	gchar* result = NULL;
#line 37 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (self) {
#line 2059 "database.c"
		gchar* _tmp0_;
#line 38 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp0_;
#line 38 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2067 "database.c"
	} else {
		gchar* _tmp1_;
#line 40 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp1_;
#line 40 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2076 "database.c"
	}
}


gint
bookworm_app_db_addBookToDataBase (BookwormAppBook* aBook)
{
	gint result = 0;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	sqlite3_stmt* stmt = NULL;
	gint insertedBookID = 0;
	gchar* _tmp4_;
	sqlite3* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	sqlite3_stmt* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
	sqlite3_stmt* _tmp19_;
	gchar* _tmp20_;
	GDestroyNotify _tmp21_;
	sqlite3_stmt* _tmp22_;
	gchar* _tmp23_;
	GDestroyNotify _tmp24_;
	sqlite3_stmt* _tmp25_;
	gchar* _tmp26_;
	GDestroyNotify _tmp27_;
	sqlite3_stmt* _tmp28_;
	gchar* _tmp29_;
	GDestroyNotify _tmp30_;
	sqlite3_stmt* _tmp31_;
	gchar* _tmp32_;
	GDestroyNotify _tmp33_;
	sqlite3_stmt* _tmp34_;
	gchar* _tmp35_;
	GDestroyNotify _tmp36_;
	sqlite3_stmt* _tmp37_;
	sqlite3_stmt* _tmp38_;
	gchar* _tmp39_;
	sqlite3* _tmp40_;
	const gchar* _tmp41_;
	const gchar* _tmp42_;
	gint _tmp43_;
	gint _tmp44_;
	sqlite3_stmt* _tmp45_ = NULL;
	gint _tmp46_;
	gint _tmp47_;
	sqlite3_stmt* _tmp54_;
	gchar* _tmp55_;
	GDestroyNotify _tmp56_;
	sqlite3_stmt* _tmp59_;
	gchar* _tmp60_;
	gchar* _tmp61_;
	gchar* _tmp62_;
	gchar* _tmp63_;
#line 250 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (aBook != NULL, 0);
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = bookworm_app_book_getBookLocation (aBook);
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = _tmp0_;
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = g_strconcat ("[START] [FUNCTION:addBookToDataBase] book.location=", _tmp1_, NULL);
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = _tmp2_;
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:251: %s", _tmp3_);
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp3_);
#line 251 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp1_);
#line 253 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	insertedBookID = 0;
#line 254 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = g_strdup ("INSERT INTO " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION "(BOOK_LOCATION, BOOK_TITLE, BOOK_AUTHOR, BOOK_COVER_IMAGE_LOCATION, IS" \
"_BOOK_COVER_IMAGE_PRESENT, CONTENT_EXTRACTION_LOCATION, creation_date," \
" modification_date) " "VALUES (?,?,?,?,?,?, CAST(strftime('%s', 'now') AS INT), CAST(strftime" \
"('%s', 'now') AS INT))");
#line 254 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 254 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp4_;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = bookworm_app_db_bookwormDB;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = bookworm_app_db_queryString;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp7_ = bookworm_app_db_queryString;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = strlen (_tmp7_);
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = _tmp8_;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp11_ = sqlite3_prepare_v2 (_tmp5_, _tmp6_, _tmp9_, &_tmp10_, NULL);
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp10_;
#line 255 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp11_;
#line 256 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp12_ = bookworm_app_db_executionStatus;
#line 256 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp12_ != SQLITE_OK) {
#line 2183 "database.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		sqlite3* _tmp16_;
		sqlite3* _tmp17_;
		const gchar* _tmp18_;
#line 257 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_queryString;
#line 257 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = g_strconcat ("Error on executing Query:", _tmp13_, NULL);
#line 257 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = _tmp14_;
#line 257 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:257: %s", _tmp15_);
#line 257 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp15_);
#line 258 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = bookworm_app_db_bookwormDB;
#line 258 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp17_ = bookworm_app_db_bookwormDB;
#line 258 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp18_ = sqlite3_errmsg (_tmp17_);
#line 258 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:258: Error details: %d: %s\n", sqlite3_errcode (_tmp16_), _tmp18_);
#line 259 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = -1;
#line 259 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 259 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 2214 "database.c"
	}
#line 261 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp19_ = stmt;
#line 261 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp20_ = bookworm_app_book_getBookLocation (aBook);
#line 261 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp21_ = g_free;
#line 261 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp19_, 1, _tmp20_, -1, _tmp21_);
#line 262 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp22_ = stmt;
#line 262 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp23_ = bookworm_app_book_getBookTitle (aBook);
#line 262 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp24_ = g_free;
#line 262 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp22_, 2, _tmp23_, -1, _tmp24_);
#line 263 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp25_ = stmt;
#line 263 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp26_ = bookworm_app_book_getBookAuthor (aBook);
#line 263 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp27_ = g_free;
#line 263 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp25_, 3, _tmp26_, -1, _tmp27_);
#line 264 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp28_ = stmt;
#line 264 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp29_ = bookworm_app_book_getBookCoverLocation (aBook);
#line 264 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp30_ = g_free;
#line 264 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp28_, 4, _tmp29_, -1, _tmp30_);
#line 265 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp31_ = stmt;
#line 265 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp32_ = bool_to_string (bookworm_app_book_getIsBookCoverImagePresent (aBook));
#line 265 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp33_ = g_free;
#line 265 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp31_, 5, _tmp32_, -1, _tmp33_);
#line 266 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp34_ = stmt;
#line 266 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp35_ = bookworm_app_book_getBookExtractionLocation (aBook);
#line 266 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp36_ = g_free;
#line 266 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp34_, 6, _tmp35_, -1, _tmp36_);
#line 268 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp37_ = stmt;
#line 268 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_step (_tmp37_);
#line 269 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp38_ = stmt;
#line 269 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp38_);
#line 271 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp39_ = g_strdup ("SELECT id FROM " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " WHERE BOOK_LOCATION = ?");
#line 271 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 271 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp39_;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp40_ = bookworm_app_db_bookwormDB;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp41_ = bookworm_app_db_queryString;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp42_ = bookworm_app_db_queryString;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp43_ = strlen (_tmp42_);
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp44_ = _tmp43_;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp46_ = sqlite3_prepare_v2 (_tmp40_, _tmp41_, _tmp44_, &_tmp45_, NULL);
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp45_;
#line 274 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp46_;
#line 275 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp47_ = bookworm_app_db_executionStatus;
#line 275 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp47_ != SQLITE_OK) {
#line 2300 "database.c"
		const gchar* _tmp48_;
		gchar* _tmp49_;
		gchar* _tmp50_;
		sqlite3* _tmp51_;
		sqlite3* _tmp52_;
		const gchar* _tmp53_;
#line 276 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp48_ = bookworm_app_db_queryString;
#line 276 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp49_ = g_strconcat ("Error on executing Query:", _tmp48_, NULL);
#line 276 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp50_ = _tmp49_;
#line 276 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:276: %s", _tmp50_);
#line 276 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp50_);
#line 277 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp51_ = bookworm_app_db_bookwormDB;
#line 277 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp52_ = bookworm_app_db_bookwormDB;
#line 277 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp53_ = sqlite3_errmsg (_tmp52_);
#line 277 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:277: Error details: %d: %s\n", sqlite3_errcode (_tmp51_), _tmp53_);
#line 2325 "database.c"
	}
#line 279 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp54_ = stmt;
#line 279 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp55_ = bookworm_app_book_getBookLocation (aBook);
#line 279 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp56_ = g_free;
#line 279 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp54_, 1, _tmp55_, -1, _tmp56_);
#line 280 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	while (TRUE) {
#line 2337 "database.c"
		sqlite3_stmt* _tmp57_;
		sqlite3_stmt* _tmp58_;
#line 280 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp57_ = stmt;
#line 280 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (!(sqlite3_step (_tmp57_) == SQLITE_ROW)) {
#line 280 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			break;
#line 2346 "database.c"
		}
#line 281 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp58_ = stmt;
#line 281 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		insertedBookID = sqlite3_column_int (_tmp58_, 0);
#line 2352 "database.c"
	}
#line 283 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp59_ = stmt;
#line 283 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp59_);
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp60_ = bookworm_app_book_getBookLocation (aBook);
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp61_ = _tmp60_;
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp62_ = g_strconcat ("[END] [FUNCTION:addBookToDataBase] book.location=", _tmp61_, NULL);
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp63_ = _tmp62_;
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:284: %s", _tmp63_);
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp63_);
#line 284 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp61_);
#line 285 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = insertedBookID;
#line 285 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 285 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 2378 "database.c"
}


gboolean
bookworm_app_db_removeBookFromDB (BookwormAppBook* aBook)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	sqlite3_stmt* stmt = NULL;
	gchar* _tmp4_;
	sqlite3* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	sqlite3_stmt* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
	gchar* _tmp52_;
	gchar* _tmp53_;
	gchar* _tmp54_;
	gchar* _tmp55_;
#line 288 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (aBook != NULL, FALSE);
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = bookworm_app_book_getBookLocation (aBook);
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = _tmp0_;
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = g_strconcat ("[START] [FUNCTION:removeBookFromDB] book.location=", _tmp1_, NULL);
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = _tmp2_;
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:289: %s", _tmp3_);
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp3_);
#line 289 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp1_);
#line 292 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = g_strdup ("DELETE FROM " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " WHERE id = ?");
#line 292 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 292 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp4_;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = bookworm_app_db_bookwormDB;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = bookworm_app_db_queryString;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp7_ = bookworm_app_db_queryString;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = strlen (_tmp7_);
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = _tmp8_;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp11_ = sqlite3_prepare_v2 (_tmp5_, _tmp6_, _tmp9_, &_tmp10_, NULL);
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp10_;
#line 293 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp11_;
#line 294 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp12_ = bookworm_app_db_executionStatus;
#line 294 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp12_ != SQLITE_OK) {
#line 2448 "database.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		sqlite3* _tmp16_;
		sqlite3* _tmp17_;
		const gchar* _tmp18_;
#line 295 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_queryString;
#line 295 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = g_strconcat ("Error on executing Query:", _tmp13_, NULL);
#line 295 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = _tmp14_;
#line 295 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:295: %s", _tmp15_);
#line 295 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp15_);
#line 296 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = bookworm_app_db_bookwormDB;
#line 296 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp17_ = bookworm_app_db_bookwormDB;
#line 296 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp18_ = sqlite3_errmsg (_tmp17_);
#line 296 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:296: Error details: %d: %s\n", sqlite3_errcode (_tmp16_), _tmp18_);
#line 297 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 297 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 297 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 2479 "database.c"
	} else {
		sqlite3_stmt* _tmp19_;
		sqlite3_stmt* _tmp20_;
		sqlite3_stmt* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		gchar* _tmp29_;
		gchar* _tmp30_;
		gchar* _tmp31_;
		gchar* _tmp32_;
		gchar* _tmp33_;
		gchar* _tmp34_;
		sqlite3* _tmp35_;
		const gchar* _tmp36_;
		const gchar* _tmp37_;
		gint _tmp38_;
		gint _tmp39_;
		sqlite3_stmt* _tmp40_ = NULL;
		gint _tmp41_;
		gint _tmp42_;
#line 299 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp19_ = stmt;
#line 299 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_int (_tmp19_, 1, bookworm_app_book_getBookId (aBook));
#line 300 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp20_ = stmt;
#line 300 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_step (_tmp20_);
#line 301 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp21_ = stmt;
#line 301 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_reset (_tmp21_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp22_ = bookworm_app_book_getBookTitle (aBook);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp23_ = _tmp22_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp24_ = g_strconcat ("Removed this book from library table:", _tmp23_, NULL);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp25_ = _tmp24_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp26_ = g_strconcat (_tmp25_, "[", NULL);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp27_ = _tmp26_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp28_ = g_strdup_printf ("%i", bookworm_app_book_getBookId (aBook));
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp29_ = _tmp28_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp30_ = g_strconcat (_tmp27_, _tmp29_, NULL);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp31_ = _tmp30_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp32_ = g_strconcat (_tmp31_, "]", NULL);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp33_ = _tmp32_;
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:302: %s", _tmp33_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp33_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp31_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp29_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp27_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp25_);
#line 302 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp23_);
#line 305 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp34_ = g_strdup ("DELETE FROM " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " WHERE id = ?");
#line 305 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (bookworm_app_db_queryString);
#line 305 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_queryString = _tmp34_;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp35_ = bookworm_app_db_bookwormDB;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp36_ = bookworm_app_db_queryString;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp37_ = bookworm_app_db_queryString;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp38_ = strlen (_tmp37_);
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp39_ = _tmp38_;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp41_ = sqlite3_prepare_v2 (_tmp35_, _tmp36_, _tmp39_, &_tmp40_, NULL);
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		stmt = _tmp40_;
#line 306 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_executionStatus = _tmp41_;
#line 307 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp42_ = bookworm_app_db_executionStatus;
#line 307 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (_tmp42_ != SQLITE_OK) {
#line 2583 "database.c"
			const gchar* _tmp43_;
			gchar* _tmp44_;
			gchar* _tmp45_;
			sqlite3* _tmp46_;
			sqlite3* _tmp47_;
			const gchar* _tmp48_;
#line 308 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp43_ = bookworm_app_db_queryString;
#line 308 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp44_ = g_strconcat ("Error on executing Query:", _tmp43_, NULL);
#line 308 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp45_ = _tmp44_;
#line 308 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_debug ("database.vala:308: %s", _tmp45_);
#line 308 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp45_);
#line 309 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp46_ = bookworm_app_db_bookwormDB;
#line 309 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp47_ = bookworm_app_db_bookwormDB;
#line 309 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp48_ = sqlite3_errmsg (_tmp47_);
#line 309 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_warning ("database.vala:309: Error details: %d: %s\n", sqlite3_errcode (_tmp46_), _tmp48_);
#line 310 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			result = FALSE;
#line 310 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_sqlite3_finalize0 (stmt);
#line 310 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			return result;
#line 2614 "database.c"
		} else {
			sqlite3_stmt* _tmp49_;
			sqlite3_stmt* _tmp50_;
			sqlite3_stmt* _tmp51_;
#line 312 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp49_ = stmt;
#line 312 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			sqlite3_bind_int (_tmp49_, 1, bookworm_app_book_getBookId (aBook));
#line 313 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp50_ = stmt;
#line 313 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			sqlite3_step (_tmp50_);
#line 314 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp51_ = stmt;
#line 314 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			sqlite3_reset (_tmp51_);
#line 2631 "database.c"
		}
	}
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp52_ = bookworm_app_book_getBookLocation (aBook);
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp53_ = _tmp52_;
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp54_ = g_strconcat ("[END] [FUNCTION:removeBookFromDB] book.location=", _tmp53_, NULL);
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp55_ = _tmp54_;
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:317: %s", _tmp55_);
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp55_);
#line 317 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp53_);
#line 318 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = TRUE;
#line 318 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 318 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 2654 "database.c"
}


gboolean
bookworm_app_db_updateBookToDataBase (BookwormAppBook* aBook)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	sqlite3_stmt* stmt = NULL;
	gchar* _tmp4_;
	sqlite3* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	sqlite3_stmt* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
	sqlite3_stmt* _tmp19_;
	gchar* _tmp20_;
	GDestroyNotify _tmp21_;
	sqlite3_stmt* _tmp22_;
	gchar* _tmp23_;
	GDestroyNotify _tmp24_;
	sqlite3_stmt* _tmp25_;
	gchar* _tmp26_;
	GDestroyNotify _tmp27_;
	sqlite3_stmt* _tmp28_;
	gchar* _tmp29_;
	GDestroyNotify _tmp30_;
	sqlite3_stmt* _tmp31_;
	gchar* _tmp32_;
	GDestroyNotify _tmp33_;
	sqlite3_stmt* _tmp34_;
	gchar* _tmp35_;
	GDestroyNotify _tmp36_;
	sqlite3_stmt* _tmp37_;
	gchar* _tmp38_;
	GDestroyNotify _tmp39_;
	sqlite3_stmt* _tmp40_;
	gchar* _tmp41_;
	GDestroyNotify _tmp42_;
	sqlite3_stmt* _tmp43_;
	gchar* _tmp44_;
	GDestroyNotify _tmp45_;
	sqlite3_stmt* _tmp46_;
	gchar* _tmp47_;
	GDestroyNotify _tmp48_;
	sqlite3_stmt* _tmp49_;
	gchar* _tmp50_;
	GDestroyNotify _tmp51_;
	sqlite3_stmt* _tmp52_;
	gchar* _tmp53_;
	GDestroyNotify _tmp54_;
	sqlite3_stmt* _tmp55_;
	sqlite3_stmt* _tmp56_;
	gchar* _tmp57_;
	gchar* _tmp58_;
	gchar* _tmp59_;
	gchar* _tmp60_;
	gchar* _tmp61_;
	gchar* _tmp62_;
	gchar* _tmp63_;
	gchar* _tmp64_;
	gchar* _tmp65_;
	gchar* _tmp66_;
	gchar* _tmp67_;
	gchar* _tmp68_;
	gchar* _tmp69_;
	sqlite3* _tmp70_;
	const gchar* _tmp71_;
	const gchar* _tmp72_;
	gint _tmp73_;
	gint _tmp74_;
	sqlite3_stmt* _tmp75_ = NULL;
	gint _tmp76_;
	gint _tmp77_;
	sqlite3_stmt* _tmp84_;
	gchar* _tmp85_;
	GDestroyNotify _tmp86_;
	sqlite3_stmt* _tmp87_;
	gchar* _tmp88_;
	GDestroyNotify _tmp89_;
	sqlite3_stmt* _tmp90_;
	gchar* _tmp91_;
	GDestroyNotify _tmp92_;
	sqlite3_stmt* _tmp93_;
	gchar* _tmp94_;
	GDestroyNotify _tmp95_;
	sqlite3_stmt* _tmp96_;
	GeeTreeMap* _tmp97_;
	GeeTreeMap* _tmp98_;
	gchar* _tmp99_;
	GDestroyNotify _tmp100_;
	sqlite3_stmt* _tmp101_;
	sqlite3_stmt* _tmp102_;
	sqlite3_stmt* _tmp103_;
	sqlite3* _tmp104_;
	gchar* _tmp164_;
	gchar* _tmp165_;
	gchar* _tmp166_;
	gchar* _tmp167_;
#line 321 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (aBook != NULL, FALSE);
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = bookworm_app_book_getBookLocation (aBook);
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = _tmp0_;
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = g_strconcat ("[START] [FUNCTION:updateBookToDataBase] book.location=", _tmp1_, NULL);
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = _tmp2_;
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:322: %s", _tmp3_);
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp3_);
#line 322 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp1_);
#line 324 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = g_strdup ("UPDATE " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " SET BOOK_LAST_READ_PAGE_NUMBER = ?, BOOK_TITLE = ?, BOOK_AUTHOR = ?, " \
"BOOK_COVER_IMAGE_LOCATION = ?, IS_BOOK_COVER_IMAGE_PRESENT = ?, TAGS =" \
" ?, ANNOTATION_TAGS = ?, RATINGS = ?, CONTENT_EXTRACTION_LOCATION = ?," \
" BOOK_TOTAL_PAGES = ?, modification_date = CAST(? AS INT) WHERE BOOK_L" \
"OCATION = ? ");
#line 324 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 324 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp4_;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = bookworm_app_db_bookwormDB;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = bookworm_app_db_queryString;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp7_ = bookworm_app_db_queryString;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = strlen (_tmp7_);
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = _tmp8_;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp11_ = sqlite3_prepare_v2 (_tmp5_, _tmp6_, _tmp9_, &_tmp10_, NULL);
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp10_;
#line 326 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp11_;
#line 327 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp12_ = bookworm_app_db_executionStatus;
#line 327 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp12_ != SQLITE_OK) {
#line 2804 "database.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		sqlite3* _tmp16_;
		sqlite3* _tmp17_;
		const gchar* _tmp18_;
#line 328 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_queryString;
#line 328 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = g_strconcat ("Error on executing Query:", _tmp13_, NULL);
#line 328 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = _tmp14_;
#line 328 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:328: %s", _tmp15_);
#line 328 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp15_);
#line 329 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = bookworm_app_db_bookwormDB;
#line 329 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp17_ = bookworm_app_db_bookwormDB;
#line 329 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp18_ = sqlite3_errmsg (_tmp17_);
#line 329 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:329: Error details: %d: %s\n", sqlite3_errcode (_tmp16_), _tmp18_);
#line 330 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 330 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 330 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 2835 "database.c"
	}
#line 332 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp19_ = stmt;
#line 332 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp20_ = g_strdup_printf ("%i", bookworm_app_book_getBookPageNumber (aBook));
#line 332 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp21_ = g_free;
#line 332 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp19_, 1, _tmp20_, -1, _tmp21_);
#line 333 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp22_ = stmt;
#line 333 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp23_ = bookworm_app_book_getBookTitle (aBook);
#line 333 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp24_ = g_free;
#line 333 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp22_, 2, _tmp23_, -1, _tmp24_);
#line 334 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp25_ = stmt;
#line 334 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp26_ = bookworm_app_book_getBookAuthor (aBook);
#line 334 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp27_ = g_free;
#line 334 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp25_, 3, _tmp26_, -1, _tmp27_);
#line 335 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp28_ = stmt;
#line 335 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp29_ = bookworm_app_book_getBookCoverLocation (aBook);
#line 335 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp30_ = g_free;
#line 335 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp28_, 4, _tmp29_, -1, _tmp30_);
#line 336 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp31_ = stmt;
#line 336 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp32_ = bool_to_string (bookworm_app_book_getIsBookCoverImagePresent (aBook));
#line 336 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp33_ = g_free;
#line 336 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp31_, 5, _tmp32_, -1, _tmp33_);
#line 337 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp34_ = stmt;
#line 337 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp35_ = bookworm_app_book_getBookTags (aBook);
#line 337 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp36_ = g_free;
#line 337 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp34_, 6, _tmp35_, -1, _tmp36_);
#line 338 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp37_ = stmt;
#line 338 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp38_ = bookworm_app_book_getAnnotationTags (aBook);
#line 338 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp39_ = g_free;
#line 338 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp37_, 7, _tmp38_, -1, _tmp39_);
#line 339 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp40_ = stmt;
#line 339 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp41_ = g_strdup_printf ("%i", bookworm_app_book_getBookRating (aBook));
#line 339 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp42_ = g_free;
#line 339 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp40_, 8, _tmp41_, -1, _tmp42_);
#line 340 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp43_ = stmt;
#line 340 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp44_ = bookworm_app_book_getBookExtractionLocation (aBook);
#line 340 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp45_ = g_free;
#line 340 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp43_, 9, _tmp44_, -1, _tmp45_);
#line 341 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp46_ = stmt;
#line 341 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp47_ = g_strdup_printf ("%i", bookworm_app_book_getBookTotalPages (aBook));
#line 341 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp48_ = g_free;
#line 341 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp46_, 10, _tmp47_, -1, _tmp48_);
#line 342 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp49_ = stmt;
#line 342 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp50_ = bookworm_app_book_getBookLastModificationDate (aBook);
#line 342 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp51_ = g_free;
#line 342 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp49_, 11, _tmp50_, -1, _tmp51_);
#line 343 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp52_ = stmt;
#line 343 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp53_ = bookworm_app_book_getBookLocation (aBook);
#line 343 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp54_ = g_free;
#line 343 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp52_, 12, _tmp53_, -1, _tmp54_);
#line 344 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp55_ = stmt;
#line 344 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_step (_tmp55_);
#line 345 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp56_ = stmt;
#line 345 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp56_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp57_ = bookworm_app_book_getBookTitle (aBook);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp58_ = _tmp57_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp59_ = g_strconcat ("Updated library details to " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " for book:", _tmp58_, NULL);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp60_ = _tmp59_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp61_ = g_strconcat (_tmp60_, "[", NULL);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp62_ = _tmp61_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp63_ = g_strdup_printf ("%i", bookworm_app_book_getBookId (aBook));
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp64_ = _tmp63_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp65_ = g_strconcat (_tmp62_, _tmp64_, NULL);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp66_ = _tmp65_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp67_ = g_strconcat (_tmp66_, "]", NULL);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp68_ = _tmp67_;
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_debug ("database.vala:346: %s", _tmp68_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp68_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp66_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp64_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp62_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp60_);
#line 346 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp58_);
#line 349 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp69_ = g_strdup ("INSERT OR IGNORE INTO " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " (BOOK_TOC_DATA, BOOKMARKS, CONTENT_DATA_LIST, BOOK_LAST_SCROLL_POSITI" \
"ON, BOOK_ANNOTATIONS, modification_date, id) " "VALUES (?,?,?,?,?,CAST(strftime('%s', 'now') AS INT),?);");
#line 349 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 349 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp69_;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp70_ = bookworm_app_db_bookwormDB;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp71_ = bookworm_app_db_queryString;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp72_ = bookworm_app_db_queryString;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp73_ = strlen (_tmp72_);
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp74_ = _tmp73_;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp76_ = sqlite3_prepare_v2 (_tmp70_, _tmp71_, _tmp74_, &_tmp75_, NULL);
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp75_;
#line 351 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp76_;
#line 352 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp77_ = bookworm_app_db_executionStatus;
#line 352 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp77_ != SQLITE_OK) {
#line 3007 "database.c"
		const gchar* _tmp78_;
		gchar* _tmp79_;
		gchar* _tmp80_;
		sqlite3* _tmp81_;
		sqlite3* _tmp82_;
		const gchar* _tmp83_;
#line 353 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp78_ = bookworm_app_db_queryString;
#line 353 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp79_ = g_strconcat ("Error on executing Query:", _tmp78_, NULL);
#line 353 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp80_ = _tmp79_;
#line 353 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:353: %s", _tmp80_);
#line 353 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp80_);
#line 354 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp81_ = bookworm_app_db_bookwormDB;
#line 354 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp82_ = bookworm_app_db_bookwormDB;
#line 354 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp83_ = sqlite3_errmsg (_tmp82_);
#line 354 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:354: Error details: %d: %s\n", sqlite3_errcode (_tmp81_), _tmp83_);
#line 355 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		result = FALSE;
#line 355 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 355 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return result;
#line 3038 "database.c"
	}
#line 357 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp84_ = stmt;
#line 357 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp85_ = bookworm_app_utils_convertTOCToString (aBook);
#line 357 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp86_ = g_free;
#line 357 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp84_, 1, _tmp85_, -1, _tmp86_);
#line 358 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp87_ = stmt;
#line 358 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp88_ = bookworm_app_book_getBookmark (aBook);
#line 358 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp89_ = g_free;
#line 358 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp87_, 2, _tmp88_, -1, _tmp89_);
#line 359 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp90_ = stmt;
#line 359 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp91_ = bookworm_app_utils_convertContentListToString (aBook);
#line 359 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp92_ = g_free;
#line 359 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp90_, 3, _tmp91_, -1, _tmp92_);
#line 360 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp93_ = stmt;
#line 360 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp94_ = g_strdup_printf ("%i", bookworm_app_book_getBookScrollPos (aBook));
#line 360 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp95_ = g_free;
#line 360 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp93_, 4, _tmp94_, -1, _tmp95_);
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp96_ = stmt;
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp97_ = bookworm_app_book_getAnnotationList (aBook);
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp98_ = _tmp97_;
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp99_ = bookworm_app_utils_convertTreeMapToString (_tmp98_);
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp100_ = g_free;
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_text (_tmp96_, 5, _tmp99_, -1, _tmp100_);
#line 361 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_object_unref0 (_tmp98_);
#line 362 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp101_ = stmt;
#line 362 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_bind_int (_tmp101_, 6, bookworm_app_book_getBookId (aBook));
#line 363 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp102_ = stmt;
#line 363 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_step (_tmp102_);
#line 364 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp103_ = stmt;
#line 364 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp103_);
#line 365 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp104_ = bookworm_app_db_bookwormDB;
#line 365 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (sqlite3_changes (_tmp104_) == 0) {
#line 3102 "database.c"
		gchar* _tmp105_;
		sqlite3* _tmp106_;
		const gchar* _tmp107_;
		const gchar* _tmp108_;
		gint _tmp109_;
		gint _tmp110_;
		sqlite3_stmt* _tmp111_ = NULL;
		gint _tmp112_;
		gint _tmp113_;
		sqlite3_stmt* _tmp120_;
		gchar* _tmp121_;
		GDestroyNotify _tmp122_;
		sqlite3_stmt* _tmp123_;
		gchar* _tmp124_;
		GDestroyNotify _tmp125_;
		sqlite3_stmt* _tmp126_;
		gchar* _tmp127_;
		GDestroyNotify _tmp128_;
		sqlite3_stmt* _tmp129_;
		gchar* _tmp130_;
		GDestroyNotify _tmp131_;
		sqlite3_stmt* _tmp132_;
		GeeTreeMap* _tmp133_;
		GeeTreeMap* _tmp134_;
		gchar* _tmp135_;
		GDestroyNotify _tmp136_;
		sqlite3_stmt* _tmp137_;
		sqlite3_stmt* _tmp138_;
		sqlite3_stmt* _tmp139_;
		gchar* _tmp140_;
		gchar* _tmp141_;
		gchar* _tmp142_;
		gchar* _tmp143_;
		gchar* _tmp144_;
		gchar* _tmp145_;
		gchar* _tmp146_;
		gchar* _tmp147_;
		gchar* _tmp148_;
		gchar* _tmp149_;
		gchar* _tmp150_;
		gchar* _tmp151_;
#line 367 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp105_ = g_strdup ("UPDATE " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " SET BOOK_TOC_DATA = ?, BOOKMARKS = ?, CONTENT_DATA_LIST = ?, BOOK_LAS" \
"T_SCROLL_POSITION = ?, BOOK_ANNOTATIONS = ?, modification_date = CAST(" \
"strftime('%s', 'now') AS INT) WHERE id = ? ");
#line 367 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (bookworm_app_db_queryString);
#line 367 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_queryString = _tmp105_;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp106_ = bookworm_app_db_bookwormDB;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp107_ = bookworm_app_db_queryString;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp108_ = bookworm_app_db_queryString;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp109_ = strlen (_tmp108_);
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp110_ = _tmp109_;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp112_ = sqlite3_prepare_v2 (_tmp106_, _tmp107_, _tmp110_, &_tmp111_, NULL);
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_sqlite3_finalize0 (stmt);
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		stmt = _tmp111_;
#line 369 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_executionStatus = _tmp112_;
#line 370 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp113_ = bookworm_app_db_executionStatus;
#line 370 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (_tmp113_ != SQLITE_OK) {
#line 3172 "database.c"
			const gchar* _tmp114_;
			gchar* _tmp115_;
			gchar* _tmp116_;
			sqlite3* _tmp117_;
			sqlite3* _tmp118_;
			const gchar* _tmp119_;
#line 371 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp114_ = bookworm_app_db_queryString;
#line 371 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp115_ = g_strconcat ("Error on executing Query:", _tmp114_, NULL);
#line 371 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp116_ = _tmp115_;
#line 371 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_debug ("database.vala:371: %s", _tmp116_);
#line 371 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_g_free0 (_tmp116_);
#line 372 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp117_ = bookworm_app_db_bookwormDB;
#line 372 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp118_ = bookworm_app_db_bookwormDB;
#line 372 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_tmp119_ = sqlite3_errmsg (_tmp118_);
#line 372 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			g_warning ("database.vala:372: Error details: %d: %s\n", sqlite3_errcode (_tmp117_), _tmp119_);
#line 373 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			result = FALSE;
#line 373 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			_sqlite3_finalize0 (stmt);
#line 373 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			return result;
#line 3203 "database.c"
		}
#line 375 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp120_ = stmt;
#line 375 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp121_ = bookworm_app_utils_convertTOCToString (aBook);
#line 375 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp122_ = g_free;
#line 375 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_text (_tmp120_, 1, _tmp121_, -1, _tmp122_);
#line 376 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp123_ = stmt;
#line 376 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp124_ = bookworm_app_book_getBookmark (aBook);
#line 376 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp125_ = g_free;
#line 376 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_text (_tmp123_, 2, _tmp124_, -1, _tmp125_);
#line 377 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp126_ = stmt;
#line 377 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp127_ = bookworm_app_utils_convertContentListToString (aBook);
#line 377 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp128_ = g_free;
#line 377 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_text (_tmp126_, 3, _tmp127_, -1, _tmp128_);
#line 378 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp129_ = stmt;
#line 378 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp130_ = g_strdup_printf ("%i", bookworm_app_book_getBookScrollPos (aBook));
#line 378 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp131_ = g_free;
#line 378 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_text (_tmp129_, 4, _tmp130_, -1, _tmp131_);
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp132_ = stmt;
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp133_ = bookworm_app_book_getAnnotationList (aBook);
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp134_ = _tmp133_;
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp135_ = bookworm_app_utils_convertTreeMapToString (_tmp134_);
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp136_ = g_free;
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_text (_tmp132_, 5, _tmp135_, -1, _tmp136_);
#line 379 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_object_unref0 (_tmp134_);
#line 380 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp137_ = stmt;
#line 380 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_bind_int (_tmp137_, 6, bookworm_app_book_getBookId (aBook));
#line 381 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp138_ = stmt;
#line 381 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_step (_tmp138_);
#line 382 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp139_ = stmt;
#line 382 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		sqlite3_reset (_tmp139_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp140_ = bookworm_app_book_getBookTitle (aBook);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp141_ = _tmp140_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp142_ = g_strconcat ("Updated book meta data details to " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " for book:", _tmp141_, NULL);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp143_ = _tmp142_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp144_ = g_strconcat (_tmp143_, "[", NULL);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp145_ = _tmp144_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp146_ = g_strdup_printf ("%i", bookworm_app_book_getBookId (aBook));
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp147_ = _tmp146_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp148_ = g_strconcat (_tmp145_, _tmp147_, NULL);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp149_ = _tmp148_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp150_ = g_strconcat (_tmp149_, "]", NULL);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp151_ = _tmp150_;
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:383: %s", _tmp151_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp151_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp149_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp147_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp145_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp143_);
#line 383 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp141_);
#line 3301 "database.c"
	} else {
		gchar* _tmp152_;
		gchar* _tmp153_;
		gchar* _tmp154_;
		gchar* _tmp155_;
		gchar* _tmp156_;
		gchar* _tmp157_;
		gchar* _tmp158_;
		gchar* _tmp159_;
		gchar* _tmp160_;
		gchar* _tmp161_;
		gchar* _tmp162_;
		gchar* _tmp163_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp152_ = bookworm_app_book_getBookTitle (aBook);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp153_ = _tmp152_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp154_ = g_strconcat ("Inserted book meta data details to " BOOKWORM_APP_DB_BOOKMETADATA_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKMETADATA_TABLE_VERSION " for book:", _tmp153_, NULL);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp155_ = _tmp154_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp156_ = g_strconcat (_tmp155_, "[", NULL);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp157_ = _tmp156_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp158_ = g_strdup_printf ("%i", bookworm_app_book_getBookId (aBook));
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp159_ = _tmp158_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp160_ = g_strconcat (_tmp157_, _tmp159_, NULL);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp161_ = _tmp160_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp162_ = g_strconcat (_tmp161_, "]", NULL);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp163_ = _tmp162_;
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:385: %s", _tmp163_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp163_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp161_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp159_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp157_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp155_);
#line 385 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp153_);
#line 3353 "database.c"
	}
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp164_ = bookworm_app_book_getBookLocation (aBook);
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp165_ = _tmp164_;
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp166_ = g_strconcat ("[END] [FUNCTION:updateBookToDataBase] book.location=", _tmp165_, NULL);
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp167_ = _tmp166_;
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:387: %s", _tmp167_);
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp167_);
#line 387 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp165_);
#line 388 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = TRUE;
#line 388 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 388 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 3375 "database.c"
}


GeeArrayList*
bookworm_app_db_getBookIDListFromDB (void)
{
	GeeArrayList* result = NULL;
	GeeArrayList* bookIDList = NULL;
	GeeArrayList* _tmp0_;
	sqlite3_stmt* stmt = NULL;
	gchar* _tmp1_;
	sqlite3* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	sqlite3_stmt* _tmp7_ = NULL;
	gint _tmp8_;
	gint _tmp9_;
	sqlite3_stmt* _tmp27_;
	GeeArrayList* _tmp28_;
	gint _tmp29_;
	gint _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	gchar* _tmp34_;
#line 392 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:392: [START] [FUNCTION:getBookIDListFromDB]");
#line 393 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 393 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookIDList = _tmp0_;
#line 395 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp1_ = g_strdup ("SELECT id,BOOK_LOCATION FROM " BOOKWORM_APP_DB_BOOKWORM_TABLE_BASE_NAME BOOKWORM_APP_DB_BOOKWORM_TABLE_VERSION " ORDER BY id DESC");
#line 395 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (bookworm_app_db_queryString);
#line 395 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_queryString = _tmp1_;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp2_ = bookworm_app_db_bookwormDB;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp3_ = bookworm_app_db_queryString;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp4_ = bookworm_app_db_queryString;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp5_ = strlen (_tmp4_);
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp6_ = _tmp5_;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp8_ = sqlite3_prepare_v2 (_tmp2_, _tmp3_, _tmp6_, &_tmp7_, NULL);
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	stmt = _tmp7_;
#line 398 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_executionStatus = _tmp8_;
#line 399 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp9_ = bookworm_app_db_executionStatus;
#line 399 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (_tmp9_ != SQLITE_OK) {
#line 3437 "database.c"
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		sqlite3* _tmp13_;
		sqlite3* _tmp14_;
		const gchar* _tmp15_;
#line 400 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp10_ = bookworm_app_db_queryString;
#line 400 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp11_ = g_strconcat ("Error on executing Query:", _tmp10_, NULL);
#line 400 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp12_ = _tmp11_;
#line 400 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_debug ("database.vala:400: %s", _tmp12_);
#line 400 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp12_);
#line 401 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp13_ = bookworm_app_db_bookwormDB;
#line 401 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp14_ = bookworm_app_db_bookwormDB;
#line 401 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp15_ = sqlite3_errmsg (_tmp14_);
#line 401 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_warning ("database.vala:401: Error details: %d: %s\n", sqlite3_errcode (_tmp13_), _tmp15_);
#line 3462 "database.c"
	}
#line 403 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	while (TRUE) {
#line 3466 "database.c"
		sqlite3_stmt* _tmp16_;
		GeeArrayList* _tmp17_;
		sqlite3_stmt* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
		sqlite3_stmt* _tmp23_;
		const gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
#line 403 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp16_ = stmt;
#line 403 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (!(sqlite3_step (_tmp16_) == SQLITE_ROW)) {
#line 403 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			break;
#line 3484 "database.c"
		}
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp17_ = bookIDList;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp18_ = stmt;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp19_ = g_strdup_printf ("%i", sqlite3_column_int (_tmp18_, 0));
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp20_ = _tmp19_;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp21_ = g_strconcat (_tmp20_, "::", NULL);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp22_ = _tmp21_;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp23_ = stmt;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp24_ = sqlite3_column_text (_tmp23_, 1);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp25_ = g_strconcat (_tmp22_, _tmp24_, NULL);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_tmp26_ = _tmp25_;
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		gee_abstract_collection_add ((GeeAbstractCollection*) _tmp17_, _tmp26_);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp26_);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp22_);
#line 404 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		_g_free0 (_tmp20_);
#line 3514 "database.c"
	}
#line 406 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp27_ = stmt;
#line 406 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	sqlite3_reset (_tmp27_);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp28_ = bookIDList;
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp29_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp28_);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp30_ = _tmp29_;
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp31_ = g_strdup_printf ("%i", _tmp30_);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp32_ = _tmp31_;
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp33_ = g_strconcat ("[END] [FUNCTION:getBookIDListFromDB] bookIDList.size", _tmp32_, NULL);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_tmp34_ = _tmp33_;
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_info ("database.vala:407: %s", _tmp34_);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp34_);
#line 407 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_g_free0 (_tmp32_);
#line 408 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	result = bookIDList;
#line 408 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	_sqlite3_finalize0 (stmt);
#line 408 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return result;
#line 3546 "database.c"
}


BookwormAppDB*
bookworm_app_db_construct (GType object_type)
{
	BookwormAppDB* self = NULL;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	self = (BookwormAppDB*) g_type_create_instance (object_type);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return self;
#line 3558 "database.c"
}


BookwormAppDB*
bookworm_app_db_new (void)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return bookworm_app_db_construct (BOOKWORM_APP_TYPE_DB);
#line 3567 "database.c"
}


static void
bookworm_app_value_db_init (GValue* value)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	value->data[0].v_pointer = NULL;
#line 3576 "database.c"
}


static void
bookworm_app_value_db_free_value (GValue* value)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (value->data[0].v_pointer) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_unref (value->data[0].v_pointer);
#line 3587 "database.c"
	}
}


static void
bookworm_app_value_db_copy_value (const GValue* src_value,
                                  GValue* dest_value)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (src_value->data[0].v_pointer) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		dest_value->data[0].v_pointer = bookworm_app_db_ref (src_value->data[0].v_pointer);
#line 3600 "database.c"
	} else {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		dest_value->data[0].v_pointer = NULL;
#line 3604 "database.c"
	}
}


static gpointer
bookworm_app_value_db_peek_pointer (const GValue* value)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return value->data[0].v_pointer;
#line 3614 "database.c"
}


static gchar*
bookworm_app_value_db_collect_value (GValue* value,
                                     guint n_collect_values,
                                     GTypeCValue* collect_values,
                                     guint collect_flags)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (collect_values[0].v_pointer) {
#line 3626 "database.c"
		BookwormAppDB * object;
		object = collect_values[0].v_pointer;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		if (object->parent_instance.g_class == NULL) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3633 "database.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 3637 "database.c"
		}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = bookworm_app_db_ref (object);
#line 3641 "database.c"
	} else {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = NULL;
#line 3645 "database.c"
	}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return NULL;
#line 3649 "database.c"
}


static gchar*
bookworm_app_value_db_lcopy_value (const GValue* value,
                                   guint n_collect_values,
                                   GTypeCValue* collect_values,
                                   guint collect_flags)
{
	BookwormAppDB ** object_p;
	object_p = collect_values[0].v_pointer;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (!object_p) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 3665 "database.c"
	}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (!value->data[0].v_pointer) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		*object_p = NULL;
#line 3671 "database.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		*object_p = value->data[0].v_pointer;
#line 3675 "database.c"
	} else {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		*object_p = bookworm_app_db_ref (value->data[0].v_pointer);
#line 3679 "database.c"
	}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return NULL;
#line 3683 "database.c"
}


GParamSpec*
bookworm_app_param_spec_db (const gchar* name,
                            const gchar* nick,
                            const gchar* blurb,
                            GType object_type,
                            GParamFlags flags)
{
	BookwormAppParamSpecDB* spec;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (g_type_is_a (object_type, BOOKWORM_APP_TYPE_DB), NULL);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return G_PARAM_SPEC (spec);
#line 3703 "database.c"
}


gpointer
bookworm_app_value_get_db (const GValue* value)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, BOOKWORM_APP_TYPE_DB), NULL);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return value->data[0].v_pointer;
#line 3714 "database.c"
}


void
bookworm_app_value_set_db (GValue* value,
                           gpointer v_object)
{
	BookwormAppDB * old;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, BOOKWORM_APP_TYPE_DB));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	old = value->data[0].v_pointer;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (v_object) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, BOOKWORM_APP_TYPE_DB));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = v_object;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_ref (value->data[0].v_pointer);
#line 3737 "database.c"
	} else {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = NULL;
#line 3741 "database.c"
	}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (old) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_unref (old);
#line 3747 "database.c"
	}
}


void
bookworm_app_value_take_db (GValue* value,
                            gpointer v_object)
{
	BookwormAppDB * old;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, BOOKWORM_APP_TYPE_DB));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	old = value->data[0].v_pointer;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (v_object) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, BOOKWORM_APP_TYPE_DB));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = v_object;
#line 3769 "database.c"
	} else {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		value->data[0].v_pointer = NULL;
#line 3773 "database.c"
	}
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (old) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		bookworm_app_db_unref (old);
#line 3779 "database.c"
	}
}


static void
bookworm_app_db_class_init (BookwormAppDBClass * klass)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	bookworm_app_db_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	((BookwormAppDBClass *) klass)->finalize = bookworm_app_db_finalize;
#line 3791 "database.c"
}


static void
bookworm_app_db_instance_init (BookwormAppDB * self)
{
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	self->ref_count = 1;
#line 3800 "database.c"
}


static void
bookworm_app_db_finalize (BookwormAppDB * obj)
{
	BookwormAppDB * self;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, BOOKWORM_APP_TYPE_DB, BookwormAppDB);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_signal_handlers_destroy (self);
#line 3812 "database.c"
}


GType
bookworm_app_db_get_type (void)
{
	static volatile gsize bookworm_app_db_type_id__volatile = 0;
	if (g_once_init_enter (&bookworm_app_db_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { bookworm_app_value_db_init, bookworm_app_value_db_free_value, bookworm_app_value_db_copy_value, bookworm_app_value_db_peek_pointer, "p", bookworm_app_value_db_collect_value, "p", bookworm_app_value_db_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (BookwormAppDBClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) bookworm_app_db_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (BookwormAppDB), 0, (GInstanceInitFunc) bookworm_app_db_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType bookworm_app_db_type_id;
		bookworm_app_db_type_id = g_type_register_fundamental (g_type_fundamental_next (), "BookwormAppDB", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&bookworm_app_db_type_id__volatile, bookworm_app_db_type_id);
	}
	return bookworm_app_db_type_id__volatile;
}


gpointer
bookworm_app_db_ref (gpointer instance)
{
	BookwormAppDB * self;
	self = instance;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	g_atomic_int_inc (&self->ref_count);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	return instance;
#line 3841 "database.c"
}


void
bookworm_app_db_unref (gpointer instance)
{
	BookwormAppDB * self;
	self = instance;
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		BOOKWORM_APP_DB_GET_CLASS (self)->finalize (self);
#line 22 "/builds/korora/kp-bookworm/BUILD/bookworm-1.1.1/src/database.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 3856 "database.c"
	}
}



